---
name: Bug Report
about: Report a bug related to Kubermatic KubeOne
labels: sig/cluster-management, kind/bug
---

### What happened?

<!-- Try to provide as much information as possible.
If you're reporting a security issue, please check the guidelines for reporting security issues:
https://github.com/kubermatic/kubeone/blob/main/CONTRIBUTING.md#reporting-a-security-vulnerability -->

### Expected behavior

<!-- What did you expected to happen? -->

### How to reproduce the issue?

<!-- Please provide as much information as possible, so we can reproduce the issue on our own. -->

### What KubeOne version are you using?

<!-- Please provide output of kubeone version here. -->

<details>

```console
$ kubeone version
# paste output here
```

</details>

### Provide your KubeOneCluster manifest here (if applicable)

<!-- Providing the KubeOneCluster manifest will help us reproduce the issue.
Please make sure to redact all secrets (e.g. passwords, URLs...)! -->

<details>

```yaml
# paste manifest here
```

</details>

### What cloud provider are you running on?

<!-- AWS, Azure, DigitalOcean, GCP, Hetzner Cloud, Nutanix, OpenStack, Equinix Metal (Packet), VMware vSphere, Other (e.g. baremetal or non-natively supported provider) -->

### What operating system are you running in your cluster?

<!-- Ubuntu 20.04/22.04, CentOS 7, Rocky Linux 8, Flatcar Linux, ... -->

### Additional information

<!-- Additional information about the bug you're reporting (optional). -->
