//go:build !ignore_autogenerated
// +build !ignore_autogenerated

/*
Copyright The KubeOne Authors.

Licensed under the Apache License, Version 2.0 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at

    http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.
*/

// Code generated by conversion-gen. DO NOT EDIT.

package v1beta1

import (
	json "encoding/json"
	unsafe "unsafe"

	kubeone "k8c.io/kubeone/pkg/apis/kubeone"
	v1 "k8s.io/api/core/v1"
	conversion "k8s.io/apimachinery/pkg/conversion"
	runtime "k8s.io/apimachinery/pkg/runtime"
)

func init() {
	localSchemeBuilder.Register(RegisterConversions)
}

// RegisterConversions adds conversion functions to the given scheme.
// Public to allow building arbitrary schemes.
func RegisterConversions(s *runtime.Scheme) error {
	if err := s.AddGeneratedConversionFunc((*APIEndpoint)(nil), (*kubeone.APIEndpoint)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1beta1_APIEndpoint_To_kubeone_APIEndpoint(a.(*APIEndpoint), b.(*kubeone.APIEndpoint), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*kubeone.APIEndpoint)(nil), (*APIEndpoint)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_kubeone_APIEndpoint_To_v1beta1_APIEndpoint(a.(*kubeone.APIEndpoint), b.(*APIEndpoint), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*AWSSpec)(nil), (*kubeone.AWSSpec)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1beta1_AWSSpec_To_kubeone_AWSSpec(a.(*AWSSpec), b.(*kubeone.AWSSpec), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*kubeone.AWSSpec)(nil), (*AWSSpec)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_kubeone_AWSSpec_To_v1beta1_AWSSpec(a.(*kubeone.AWSSpec), b.(*AWSSpec), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*Addon)(nil), (*kubeone.Addon)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1beta1_Addon_To_kubeone_Addon(a.(*Addon), b.(*kubeone.Addon), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*Addons)(nil), (*kubeone.Addons)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1beta1_Addons_To_kubeone_Addons(a.(*Addons), b.(*kubeone.Addons), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*kubeone.Addons)(nil), (*Addons)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_kubeone_Addons_To_v1beta1_Addons(a.(*kubeone.Addons), b.(*Addons), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*AssetConfiguration)(nil), (*kubeone.AssetConfiguration)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1beta1_AssetConfiguration_To_kubeone_AssetConfiguration(a.(*AssetConfiguration), b.(*kubeone.AssetConfiguration), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*kubeone.AssetConfiguration)(nil), (*AssetConfiguration)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_kubeone_AssetConfiguration_To_v1beta1_AssetConfiguration(a.(*kubeone.AssetConfiguration), b.(*AssetConfiguration), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*AzureSpec)(nil), (*kubeone.AzureSpec)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1beta1_AzureSpec_To_kubeone_AzureSpec(a.(*AzureSpec), b.(*kubeone.AzureSpec), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*kubeone.AzureSpec)(nil), (*AzureSpec)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_kubeone_AzureSpec_To_v1beta1_AzureSpec(a.(*kubeone.AzureSpec), b.(*AzureSpec), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*BinaryAsset)(nil), (*kubeone.BinaryAsset)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1beta1_BinaryAsset_To_kubeone_BinaryAsset(a.(*BinaryAsset), b.(*kubeone.BinaryAsset), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*kubeone.BinaryAsset)(nil), (*BinaryAsset)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_kubeone_BinaryAsset_To_v1beta1_BinaryAsset(a.(*kubeone.BinaryAsset), b.(*BinaryAsset), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*CNI)(nil), (*kubeone.CNI)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1beta1_CNI_To_kubeone_CNI(a.(*CNI), b.(*kubeone.CNI), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*kubeone.CNI)(nil), (*CNI)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_kubeone_CNI_To_v1beta1_CNI(a.(*kubeone.CNI), b.(*CNI), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*CanalSpec)(nil), (*kubeone.CanalSpec)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1beta1_CanalSpec_To_kubeone_CanalSpec(a.(*CanalSpec), b.(*kubeone.CanalSpec), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*kubeone.CanalSpec)(nil), (*CanalSpec)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_kubeone_CanalSpec_To_v1beta1_CanalSpec(a.(*kubeone.CanalSpec), b.(*CanalSpec), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*CiliumSpec)(nil), (*kubeone.CiliumSpec)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1beta1_CiliumSpec_To_kubeone_CiliumSpec(a.(*CiliumSpec), b.(*kubeone.CiliumSpec), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*kubeone.CiliumSpec)(nil), (*CiliumSpec)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_kubeone_CiliumSpec_To_v1beta1_CiliumSpec(a.(*kubeone.CiliumSpec), b.(*CiliumSpec), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*ClusterNetworkConfig)(nil), (*kubeone.ClusterNetworkConfig)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1beta1_ClusterNetworkConfig_To_kubeone_ClusterNetworkConfig(a.(*ClusterNetworkConfig), b.(*kubeone.ClusterNetworkConfig), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*ContainerRuntimeConfig)(nil), (*kubeone.ContainerRuntimeConfig)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1beta1_ContainerRuntimeConfig_To_kubeone_ContainerRuntimeConfig(a.(*ContainerRuntimeConfig), b.(*kubeone.ContainerRuntimeConfig), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*kubeone.ContainerRuntimeConfig)(nil), (*ContainerRuntimeConfig)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_kubeone_ContainerRuntimeConfig_To_v1beta1_ContainerRuntimeConfig(a.(*kubeone.ContainerRuntimeConfig), b.(*ContainerRuntimeConfig), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*ContainerRuntimeContainerd)(nil), (*kubeone.ContainerRuntimeContainerd)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1beta1_ContainerRuntimeContainerd_To_kubeone_ContainerRuntimeContainerd(a.(*ContainerRuntimeContainerd), b.(*kubeone.ContainerRuntimeContainerd), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*ContainerRuntimeDocker)(nil), (*kubeone.ContainerRuntimeDocker)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1beta1_ContainerRuntimeDocker_To_kubeone_ContainerRuntimeDocker(a.(*ContainerRuntimeDocker), b.(*kubeone.ContainerRuntimeDocker), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*ControlPlaneConfig)(nil), (*kubeone.ControlPlaneConfig)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1beta1_ControlPlaneConfig_To_kubeone_ControlPlaneConfig(a.(*ControlPlaneConfig), b.(*kubeone.ControlPlaneConfig), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*kubeone.ControlPlaneConfig)(nil), (*ControlPlaneConfig)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_kubeone_ControlPlaneConfig_To_v1beta1_ControlPlaneConfig(a.(*kubeone.ControlPlaneConfig), b.(*ControlPlaneConfig), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*DNSConfig)(nil), (*kubeone.DNSConfig)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1beta1_DNSConfig_To_kubeone_DNSConfig(a.(*DNSConfig), b.(*kubeone.DNSConfig), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*kubeone.DNSConfig)(nil), (*DNSConfig)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_kubeone_DNSConfig_To_v1beta1_DNSConfig(a.(*kubeone.DNSConfig), b.(*DNSConfig), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*DigitalOceanSpec)(nil), (*kubeone.DigitalOceanSpec)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1beta1_DigitalOceanSpec_To_kubeone_DigitalOceanSpec(a.(*DigitalOceanSpec), b.(*kubeone.DigitalOceanSpec), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*kubeone.DigitalOceanSpec)(nil), (*DigitalOceanSpec)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_kubeone_DigitalOceanSpec_To_v1beta1_DigitalOceanSpec(a.(*kubeone.DigitalOceanSpec), b.(*DigitalOceanSpec), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*DynamicAuditLog)(nil), (*kubeone.DynamicAuditLog)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1beta1_DynamicAuditLog_To_kubeone_DynamicAuditLog(a.(*DynamicAuditLog), b.(*kubeone.DynamicAuditLog), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*kubeone.DynamicAuditLog)(nil), (*DynamicAuditLog)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_kubeone_DynamicAuditLog_To_v1beta1_DynamicAuditLog(a.(*kubeone.DynamicAuditLog), b.(*DynamicAuditLog), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*DynamicWorkerConfig)(nil), (*kubeone.DynamicWorkerConfig)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1beta1_DynamicWorkerConfig_To_kubeone_DynamicWorkerConfig(a.(*DynamicWorkerConfig), b.(*kubeone.DynamicWorkerConfig), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*kubeone.DynamicWorkerConfig)(nil), (*DynamicWorkerConfig)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_kubeone_DynamicWorkerConfig_To_v1beta1_DynamicWorkerConfig(a.(*kubeone.DynamicWorkerConfig), b.(*DynamicWorkerConfig), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*EncryptionProviders)(nil), (*kubeone.EncryptionProviders)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1beta1_EncryptionProviders_To_kubeone_EncryptionProviders(a.(*EncryptionProviders), b.(*kubeone.EncryptionProviders), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*kubeone.EncryptionProviders)(nil), (*EncryptionProviders)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_kubeone_EncryptionProviders_To_v1beta1_EncryptionProviders(a.(*kubeone.EncryptionProviders), b.(*EncryptionProviders), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*ExternalCNISpec)(nil), (*kubeone.ExternalCNISpec)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1beta1_ExternalCNISpec_To_kubeone_ExternalCNISpec(a.(*ExternalCNISpec), b.(*kubeone.ExternalCNISpec), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*kubeone.ExternalCNISpec)(nil), (*ExternalCNISpec)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_kubeone_ExternalCNISpec_To_v1beta1_ExternalCNISpec(a.(*kubeone.ExternalCNISpec), b.(*ExternalCNISpec), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*GCESpec)(nil), (*kubeone.GCESpec)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1beta1_GCESpec_To_kubeone_GCESpec(a.(*GCESpec), b.(*kubeone.GCESpec), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*kubeone.GCESpec)(nil), (*GCESpec)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_kubeone_GCESpec_To_v1beta1_GCESpec(a.(*kubeone.GCESpec), b.(*GCESpec), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*HetznerSpec)(nil), (*kubeone.HetznerSpec)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1beta1_HetznerSpec_To_kubeone_HetznerSpec(a.(*HetznerSpec), b.(*kubeone.HetznerSpec), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*kubeone.HetznerSpec)(nil), (*HetznerSpec)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_kubeone_HetznerSpec_To_v1beta1_HetznerSpec(a.(*kubeone.HetznerSpec), b.(*HetznerSpec), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*HostConfig)(nil), (*kubeone.HostConfig)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1beta1_HostConfig_To_kubeone_HostConfig(a.(*HostConfig), b.(*kubeone.HostConfig), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*IPTables)(nil), (*kubeone.IPTables)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1beta1_IPTables_To_kubeone_IPTables(a.(*IPTables), b.(*kubeone.IPTables), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*kubeone.IPTables)(nil), (*IPTables)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_kubeone_IPTables_To_v1beta1_IPTables(a.(*kubeone.IPTables), b.(*IPTables), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*IPVSConfig)(nil), (*kubeone.IPVSConfig)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1beta1_IPVSConfig_To_kubeone_IPVSConfig(a.(*IPVSConfig), b.(*kubeone.IPVSConfig), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*kubeone.IPVSConfig)(nil), (*IPVSConfig)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_kubeone_IPVSConfig_To_v1beta1_IPVSConfig(a.(*kubeone.IPVSConfig), b.(*IPVSConfig), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*ImageAsset)(nil), (*kubeone.ImageAsset)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1beta1_ImageAsset_To_kubeone_ImageAsset(a.(*ImageAsset), b.(*kubeone.ImageAsset), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*kubeone.ImageAsset)(nil), (*ImageAsset)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_kubeone_ImageAsset_To_v1beta1_ImageAsset(a.(*kubeone.ImageAsset), b.(*ImageAsset), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*KubeOneCluster)(nil), (*kubeone.KubeOneCluster)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1beta1_KubeOneCluster_To_kubeone_KubeOneCluster(a.(*KubeOneCluster), b.(*kubeone.KubeOneCluster), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*KubeProxyConfig)(nil), (*kubeone.KubeProxyConfig)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1beta1_KubeProxyConfig_To_kubeone_KubeProxyConfig(a.(*KubeProxyConfig), b.(*kubeone.KubeProxyConfig), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*kubeone.KubeProxyConfig)(nil), (*KubeProxyConfig)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_kubeone_KubeProxyConfig_To_v1beta1_KubeProxyConfig(a.(*kubeone.KubeProxyConfig), b.(*KubeProxyConfig), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*MachineControllerConfig)(nil), (*kubeone.MachineControllerConfig)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1beta1_MachineControllerConfig_To_kubeone_MachineControllerConfig(a.(*MachineControllerConfig), b.(*kubeone.MachineControllerConfig), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*kubeone.MachineControllerConfig)(nil), (*MachineControllerConfig)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_kubeone_MachineControllerConfig_To_v1beta1_MachineControllerConfig(a.(*kubeone.MachineControllerConfig), b.(*MachineControllerConfig), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*MetricsServer)(nil), (*kubeone.MetricsServer)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1beta1_MetricsServer_To_kubeone_MetricsServer(a.(*MetricsServer), b.(*kubeone.MetricsServer), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*kubeone.MetricsServer)(nil), (*MetricsServer)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_kubeone_MetricsServer_To_v1beta1_MetricsServer(a.(*kubeone.MetricsServer), b.(*MetricsServer), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*NoneSpec)(nil), (*kubeone.NoneSpec)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1beta1_NoneSpec_To_kubeone_NoneSpec(a.(*NoneSpec), b.(*kubeone.NoneSpec), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*kubeone.NoneSpec)(nil), (*NoneSpec)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_kubeone_NoneSpec_To_v1beta1_NoneSpec(a.(*kubeone.NoneSpec), b.(*NoneSpec), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*OpenIDConnect)(nil), (*kubeone.OpenIDConnect)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1beta1_OpenIDConnect_To_kubeone_OpenIDConnect(a.(*OpenIDConnect), b.(*kubeone.OpenIDConnect), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*kubeone.OpenIDConnect)(nil), (*OpenIDConnect)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_kubeone_OpenIDConnect_To_v1beta1_OpenIDConnect(a.(*kubeone.OpenIDConnect), b.(*OpenIDConnect), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*OpenIDConnectConfig)(nil), (*kubeone.OpenIDConnectConfig)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1beta1_OpenIDConnectConfig_To_kubeone_OpenIDConnectConfig(a.(*OpenIDConnectConfig), b.(*kubeone.OpenIDConnectConfig), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*kubeone.OpenIDConnectConfig)(nil), (*OpenIDConnectConfig)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_kubeone_OpenIDConnectConfig_To_v1beta1_OpenIDConnectConfig(a.(*kubeone.OpenIDConnectConfig), b.(*OpenIDConnectConfig), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*OpenstackSpec)(nil), (*kubeone.OpenstackSpec)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1beta1_OpenstackSpec_To_kubeone_OpenstackSpec(a.(*OpenstackSpec), b.(*kubeone.OpenstackSpec), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*kubeone.OpenstackSpec)(nil), (*OpenstackSpec)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_kubeone_OpenstackSpec_To_v1beta1_OpenstackSpec(a.(*kubeone.OpenstackSpec), b.(*OpenstackSpec), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*PodNodeSelector)(nil), (*kubeone.PodNodeSelector)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1beta1_PodNodeSelector_To_kubeone_PodNodeSelector(a.(*PodNodeSelector), b.(*kubeone.PodNodeSelector), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*kubeone.PodNodeSelector)(nil), (*PodNodeSelector)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_kubeone_PodNodeSelector_To_v1beta1_PodNodeSelector(a.(*kubeone.PodNodeSelector), b.(*PodNodeSelector), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*PodNodeSelectorConfig)(nil), (*kubeone.PodNodeSelectorConfig)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1beta1_PodNodeSelectorConfig_To_kubeone_PodNodeSelectorConfig(a.(*PodNodeSelectorConfig), b.(*kubeone.PodNodeSelectorConfig), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*kubeone.PodNodeSelectorConfig)(nil), (*PodNodeSelectorConfig)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_kubeone_PodNodeSelectorConfig_To_v1beta1_PodNodeSelectorConfig(a.(*kubeone.PodNodeSelectorConfig), b.(*PodNodeSelectorConfig), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*PodSecurityPolicy)(nil), (*kubeone.PodSecurityPolicy)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1beta1_PodSecurityPolicy_To_kubeone_PodSecurityPolicy(a.(*PodSecurityPolicy), b.(*kubeone.PodSecurityPolicy), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*kubeone.PodSecurityPolicy)(nil), (*PodSecurityPolicy)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_kubeone_PodSecurityPolicy_To_v1beta1_PodSecurityPolicy(a.(*kubeone.PodSecurityPolicy), b.(*PodSecurityPolicy), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*ProviderSpec)(nil), (*kubeone.ProviderSpec)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1beta1_ProviderSpec_To_kubeone_ProviderSpec(a.(*ProviderSpec), b.(*kubeone.ProviderSpec), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*ProviderStaticNetworkConfig)(nil), (*kubeone.ProviderStaticNetworkConfig)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1beta1_ProviderStaticNetworkConfig_To_kubeone_ProviderStaticNetworkConfig(a.(*ProviderStaticNetworkConfig), b.(*kubeone.ProviderStaticNetworkConfig), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*ProxyConfig)(nil), (*kubeone.ProxyConfig)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1beta1_ProxyConfig_To_kubeone_ProxyConfig(a.(*ProxyConfig), b.(*kubeone.ProxyConfig), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*kubeone.ProxyConfig)(nil), (*ProxyConfig)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_kubeone_ProxyConfig_To_v1beta1_ProxyConfig(a.(*kubeone.ProxyConfig), b.(*ProxyConfig), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*RegistryConfiguration)(nil), (*kubeone.RegistryConfiguration)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1beta1_RegistryConfiguration_To_kubeone_RegistryConfiguration(a.(*RegistryConfiguration), b.(*kubeone.RegistryConfiguration), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*kubeone.RegistryConfiguration)(nil), (*RegistryConfiguration)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_kubeone_RegistryConfiguration_To_v1beta1_RegistryConfiguration(a.(*kubeone.RegistryConfiguration), b.(*RegistryConfiguration), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*StaticAuditLog)(nil), (*kubeone.StaticAuditLog)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1beta1_StaticAuditLog_To_kubeone_StaticAuditLog(a.(*StaticAuditLog), b.(*kubeone.StaticAuditLog), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*kubeone.StaticAuditLog)(nil), (*StaticAuditLog)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_kubeone_StaticAuditLog_To_v1beta1_StaticAuditLog(a.(*kubeone.StaticAuditLog), b.(*StaticAuditLog), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*StaticAuditLogConfig)(nil), (*kubeone.StaticAuditLogConfig)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1beta1_StaticAuditLogConfig_To_kubeone_StaticAuditLogConfig(a.(*StaticAuditLogConfig), b.(*kubeone.StaticAuditLogConfig), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*kubeone.StaticAuditLogConfig)(nil), (*StaticAuditLogConfig)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_kubeone_StaticAuditLogConfig_To_v1beta1_StaticAuditLogConfig(a.(*kubeone.StaticAuditLogConfig), b.(*StaticAuditLogConfig), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*StaticWorkersConfig)(nil), (*kubeone.StaticWorkersConfig)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1beta1_StaticWorkersConfig_To_kubeone_StaticWorkersConfig(a.(*StaticWorkersConfig), b.(*kubeone.StaticWorkersConfig), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*kubeone.StaticWorkersConfig)(nil), (*StaticWorkersConfig)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_kubeone_StaticWorkersConfig_To_v1beta1_StaticWorkersConfig(a.(*kubeone.StaticWorkersConfig), b.(*StaticWorkersConfig), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*SystemPackages)(nil), (*kubeone.SystemPackages)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1beta1_SystemPackages_To_kubeone_SystemPackages(a.(*SystemPackages), b.(*kubeone.SystemPackages), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*kubeone.SystemPackages)(nil), (*SystemPackages)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_kubeone_SystemPackages_To_v1beta1_SystemPackages(a.(*kubeone.SystemPackages), b.(*SystemPackages), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*VersionConfig)(nil), (*kubeone.VersionConfig)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1beta1_VersionConfig_To_kubeone_VersionConfig(a.(*VersionConfig), b.(*kubeone.VersionConfig), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*kubeone.VersionConfig)(nil), (*VersionConfig)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_kubeone_VersionConfig_To_v1beta1_VersionConfig(a.(*kubeone.VersionConfig), b.(*VersionConfig), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*VsphereSpec)(nil), (*kubeone.VsphereSpec)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1beta1_VsphereSpec_To_kubeone_VsphereSpec(a.(*VsphereSpec), b.(*kubeone.VsphereSpec), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*kubeone.VsphereSpec)(nil), (*VsphereSpec)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_kubeone_VsphereSpec_To_v1beta1_VsphereSpec(a.(*kubeone.VsphereSpec), b.(*VsphereSpec), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*WeaveNetSpec)(nil), (*kubeone.WeaveNetSpec)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1beta1_WeaveNetSpec_To_kubeone_WeaveNetSpec(a.(*WeaveNetSpec), b.(*kubeone.WeaveNetSpec), scope)
	}); err != nil {
		return err
	}
	if err := s.AddGeneratedConversionFunc((*kubeone.WeaveNetSpec)(nil), (*WeaveNetSpec)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_kubeone_WeaveNetSpec_To_v1beta1_WeaveNetSpec(a.(*kubeone.WeaveNetSpec), b.(*WeaveNetSpec), scope)
	}); err != nil {
		return err
	}
	if err := s.AddConversionFunc((*kubeone.Addon)(nil), (*Addon)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_kubeone_Addon_To_v1beta1_Addon(a.(*kubeone.Addon), b.(*Addon), scope)
	}); err != nil {
		return err
	}
	if err := s.AddConversionFunc((*kubeone.CloudProviderSpec)(nil), (*CloudProviderSpec)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_kubeone_CloudProviderSpec_To_v1beta1_CloudProviderSpec(a.(*kubeone.CloudProviderSpec), b.(*CloudProviderSpec), scope)
	}); err != nil {
		return err
	}
	if err := s.AddConversionFunc((*kubeone.ClusterNetworkConfig)(nil), (*ClusterNetworkConfig)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_kubeone_ClusterNetworkConfig_To_v1beta1_ClusterNetworkConfig(a.(*kubeone.ClusterNetworkConfig), b.(*ClusterNetworkConfig), scope)
	}); err != nil {
		return err
	}
	if err := s.AddConversionFunc((*kubeone.ContainerRuntimeContainerd)(nil), (*ContainerRuntimeContainerd)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_kubeone_ContainerRuntimeContainerd_To_v1beta1_ContainerRuntimeContainerd(a.(*kubeone.ContainerRuntimeContainerd), b.(*ContainerRuntimeContainerd), scope)
	}); err != nil {
		return err
	}
	if err := s.AddConversionFunc((*kubeone.ContainerRuntimeDocker)(nil), (*ContainerRuntimeDocker)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_kubeone_ContainerRuntimeDocker_To_v1beta1_ContainerRuntimeDocker(a.(*kubeone.ContainerRuntimeDocker), b.(*ContainerRuntimeDocker), scope)
	}); err != nil {
		return err
	}
	if err := s.AddConversionFunc((*kubeone.Features)(nil), (*Features)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_kubeone_Features_To_v1beta1_Features(a.(*kubeone.Features), b.(*Features), scope)
	}); err != nil {
		return err
	}
	if err := s.AddConversionFunc((*kubeone.HostConfig)(nil), (*HostConfig)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_kubeone_HostConfig_To_v1beta1_HostConfig(a.(*kubeone.HostConfig), b.(*HostConfig), scope)
	}); err != nil {
		return err
	}
	if err := s.AddConversionFunc((*kubeone.KubeOneCluster)(nil), (*KubeOneCluster)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_kubeone_KubeOneCluster_To_v1beta1_KubeOneCluster(a.(*kubeone.KubeOneCluster), b.(*KubeOneCluster), scope)
	}); err != nil {
		return err
	}
	if err := s.AddConversionFunc((*kubeone.ProviderSpec)(nil), (*ProviderSpec)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_kubeone_ProviderSpec_To_v1beta1_ProviderSpec(a.(*kubeone.ProviderSpec), b.(*ProviderSpec), scope)
	}); err != nil {
		return err
	}
	if err := s.AddConversionFunc((*kubeone.ProviderStaticNetworkConfig)(nil), (*ProviderStaticNetworkConfig)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_kubeone_ProviderStaticNetworkConfig_To_v1beta1_ProviderStaticNetworkConfig(a.(*kubeone.ProviderStaticNetworkConfig), b.(*ProviderStaticNetworkConfig), scope)
	}); err != nil {
		return err
	}
	if err := s.AddConversionFunc((*CloudProviderSpec)(nil), (*kubeone.CloudProviderSpec)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1beta1_CloudProviderSpec_To_kubeone_CloudProviderSpec(a.(*CloudProviderSpec), b.(*kubeone.CloudProviderSpec), scope)
	}); err != nil {
		return err
	}
	if err := s.AddConversionFunc((*Features)(nil), (*kubeone.Features)(nil), func(a, b interface{}, scope conversion.Scope) error {
		return Convert_v1beta1_Features_To_kubeone_Features(a.(*Features), b.(*kubeone.Features), scope)
	}); err != nil {
		return err
	}
	return nil
}

func autoConvert_v1beta1_APIEndpoint_To_kubeone_APIEndpoint(in *APIEndpoint, out *kubeone.APIEndpoint, s conversion.Scope) error {
	out.Host = in.Host
	out.Port = in.Port
	out.AlternativeNames = *(*[]string)(unsafe.Pointer(&in.AlternativeNames))
	return nil
}

// Convert_v1beta1_APIEndpoint_To_kubeone_APIEndpoint is an autogenerated conversion function.
func Convert_v1beta1_APIEndpoint_To_kubeone_APIEndpoint(in *APIEndpoint, out *kubeone.APIEndpoint, s conversion.Scope) error {
	return autoConvert_v1beta1_APIEndpoint_To_kubeone_APIEndpoint(in, out, s)
}

func autoConvert_kubeone_APIEndpoint_To_v1beta1_APIEndpoint(in *kubeone.APIEndpoint, out *APIEndpoint, s conversion.Scope) error {
	out.Host = in.Host
	out.Port = in.Port
	out.AlternativeNames = *(*[]string)(unsafe.Pointer(&in.AlternativeNames))
	return nil
}

// Convert_kubeone_APIEndpoint_To_v1beta1_APIEndpoint is an autogenerated conversion function.
func Convert_kubeone_APIEndpoint_To_v1beta1_APIEndpoint(in *kubeone.APIEndpoint, out *APIEndpoint, s conversion.Scope) error {
	return autoConvert_kubeone_APIEndpoint_To_v1beta1_APIEndpoint(in, out, s)
}

func autoConvert_v1beta1_AWSSpec_To_kubeone_AWSSpec(in *AWSSpec, out *kubeone.AWSSpec, s conversion.Scope) error {
	return nil
}

// Convert_v1beta1_AWSSpec_To_kubeone_AWSSpec is an autogenerated conversion function.
func Convert_v1beta1_AWSSpec_To_kubeone_AWSSpec(in *AWSSpec, out *kubeone.AWSSpec, s conversion.Scope) error {
	return autoConvert_v1beta1_AWSSpec_To_kubeone_AWSSpec(in, out, s)
}

func autoConvert_kubeone_AWSSpec_To_v1beta1_AWSSpec(in *kubeone.AWSSpec, out *AWSSpec, s conversion.Scope) error {
	return nil
}

// Convert_kubeone_AWSSpec_To_v1beta1_AWSSpec is an autogenerated conversion function.
func Convert_kubeone_AWSSpec_To_v1beta1_AWSSpec(in *kubeone.AWSSpec, out *AWSSpec, s conversion.Scope) error {
	return autoConvert_kubeone_AWSSpec_To_v1beta1_AWSSpec(in, out, s)
}

func autoConvert_v1beta1_Addon_To_kubeone_Addon(in *Addon, out *kubeone.Addon, s conversion.Scope) error {
	out.Name = in.Name
	out.Params = *(*map[string]string)(unsafe.Pointer(&in.Params))
	out.Delete = in.Delete
	return nil
}

// Convert_v1beta1_Addon_To_kubeone_Addon is an autogenerated conversion function.
func Convert_v1beta1_Addon_To_kubeone_Addon(in *Addon, out *kubeone.Addon, s conversion.Scope) error {
	return autoConvert_v1beta1_Addon_To_kubeone_Addon(in, out, s)
}

func autoConvert_kubeone_Addon_To_v1beta1_Addon(in *kubeone.Addon, out *Addon, s conversion.Scope) error {
	out.Name = in.Name
	out.Params = *(*map[string]string)(unsafe.Pointer(&in.Params))
	// WARNING: in.DisableTemplating requires manual conversion: does not exist in peer-type
	out.Delete = in.Delete
	return nil
}

func autoConvert_v1beta1_Addons_To_kubeone_Addons(in *Addons, out *kubeone.Addons, s conversion.Scope) error {
	out.Enable = in.Enable
	out.Path = in.Path
	out.GlobalParams = *(*map[string]string)(unsafe.Pointer(&in.GlobalParams))
	if in.Addons != nil {
		in, out := &in.Addons, &out.Addons
		*out = make([]kubeone.Addon, len(*in))
		for i := range *in {
			if err := Convert_v1beta1_Addon_To_kubeone_Addon(&(*in)[i], &(*out)[i], s); err != nil {
				return err
			}
		}
	} else {
		out.Addons = nil
	}
	return nil
}

// Convert_v1beta1_Addons_To_kubeone_Addons is an autogenerated conversion function.
func Convert_v1beta1_Addons_To_kubeone_Addons(in *Addons, out *kubeone.Addons, s conversion.Scope) error {
	return autoConvert_v1beta1_Addons_To_kubeone_Addons(in, out, s)
}

func autoConvert_kubeone_Addons_To_v1beta1_Addons(in *kubeone.Addons, out *Addons, s conversion.Scope) error {
	out.Enable = in.Enable
	out.Path = in.Path
	out.GlobalParams = *(*map[string]string)(unsafe.Pointer(&in.GlobalParams))
	if in.Addons != nil {
		in, out := &in.Addons, &out.Addons
		*out = make([]Addon, len(*in))
		for i := range *in {
			if err := Convert_kubeone_Addon_To_v1beta1_Addon(&(*in)[i], &(*out)[i], s); err != nil {
				return err
			}
		}
	} else {
		out.Addons = nil
	}
	return nil
}

// Convert_kubeone_Addons_To_v1beta1_Addons is an autogenerated conversion function.
func Convert_kubeone_Addons_To_v1beta1_Addons(in *kubeone.Addons, out *Addons, s conversion.Scope) error {
	return autoConvert_kubeone_Addons_To_v1beta1_Addons(in, out, s)
}

func autoConvert_v1beta1_AssetConfiguration_To_kubeone_AssetConfiguration(in *AssetConfiguration, out *kubeone.AssetConfiguration, s conversion.Scope) error {
	if err := Convert_v1beta1_ImageAsset_To_kubeone_ImageAsset(&in.Kubernetes, &out.Kubernetes, s); err != nil {
		return err
	}
	if err := Convert_v1beta1_ImageAsset_To_kubeone_ImageAsset(&in.Pause, &out.Pause, s); err != nil {
		return err
	}
	if err := Convert_v1beta1_ImageAsset_To_kubeone_ImageAsset(&in.CoreDNS, &out.CoreDNS, s); err != nil {
		return err
	}
	if err := Convert_v1beta1_ImageAsset_To_kubeone_ImageAsset(&in.Etcd, &out.Etcd, s); err != nil {
		return err
	}
	if err := Convert_v1beta1_ImageAsset_To_kubeone_ImageAsset(&in.MetricsServer, &out.MetricsServer, s); err != nil {
		return err
	}
	if err := Convert_v1beta1_BinaryAsset_To_kubeone_BinaryAsset(&in.CNI, &out.CNI, s); err != nil {
		return err
	}
	if err := Convert_v1beta1_BinaryAsset_To_kubeone_BinaryAsset(&in.NodeBinaries, &out.NodeBinaries, s); err != nil {
		return err
	}
	if err := Convert_v1beta1_BinaryAsset_To_kubeone_BinaryAsset(&in.Kubectl, &out.Kubectl, s); err != nil {
		return err
	}
	return nil
}

// Convert_v1beta1_AssetConfiguration_To_kubeone_AssetConfiguration is an autogenerated conversion function.
func Convert_v1beta1_AssetConfiguration_To_kubeone_AssetConfiguration(in *AssetConfiguration, out *kubeone.AssetConfiguration, s conversion.Scope) error {
	return autoConvert_v1beta1_AssetConfiguration_To_kubeone_AssetConfiguration(in, out, s)
}

func autoConvert_kubeone_AssetConfiguration_To_v1beta1_AssetConfiguration(in *kubeone.AssetConfiguration, out *AssetConfiguration, s conversion.Scope) error {
	if err := Convert_kubeone_ImageAsset_To_v1beta1_ImageAsset(&in.Kubernetes, &out.Kubernetes, s); err != nil {
		return err
	}
	if err := Convert_kubeone_ImageAsset_To_v1beta1_ImageAsset(&in.Pause, &out.Pause, s); err != nil {
		return err
	}
	if err := Convert_kubeone_ImageAsset_To_v1beta1_ImageAsset(&in.CoreDNS, &out.CoreDNS, s); err != nil {
		return err
	}
	if err := Convert_kubeone_ImageAsset_To_v1beta1_ImageAsset(&in.Etcd, &out.Etcd, s); err != nil {
		return err
	}
	if err := Convert_kubeone_ImageAsset_To_v1beta1_ImageAsset(&in.MetricsServer, &out.MetricsServer, s); err != nil {
		return err
	}
	if err := Convert_kubeone_BinaryAsset_To_v1beta1_BinaryAsset(&in.CNI, &out.CNI, s); err != nil {
		return err
	}
	if err := Convert_kubeone_BinaryAsset_To_v1beta1_BinaryAsset(&in.NodeBinaries, &out.NodeBinaries, s); err != nil {
		return err
	}
	if err := Convert_kubeone_BinaryAsset_To_v1beta1_BinaryAsset(&in.Kubectl, &out.Kubectl, s); err != nil {
		return err
	}
	return nil
}

// Convert_kubeone_AssetConfiguration_To_v1beta1_AssetConfiguration is an autogenerated conversion function.
func Convert_kubeone_AssetConfiguration_To_v1beta1_AssetConfiguration(in *kubeone.AssetConfiguration, out *AssetConfiguration, s conversion.Scope) error {
	return autoConvert_kubeone_AssetConfiguration_To_v1beta1_AssetConfiguration(in, out, s)
}

func autoConvert_v1beta1_AzureSpec_To_kubeone_AzureSpec(in *AzureSpec, out *kubeone.AzureSpec, s conversion.Scope) error {
	return nil
}

// Convert_v1beta1_AzureSpec_To_kubeone_AzureSpec is an autogenerated conversion function.
func Convert_v1beta1_AzureSpec_To_kubeone_AzureSpec(in *AzureSpec, out *kubeone.AzureSpec, s conversion.Scope) error {
	return autoConvert_v1beta1_AzureSpec_To_kubeone_AzureSpec(in, out, s)
}

func autoConvert_kubeone_AzureSpec_To_v1beta1_AzureSpec(in *kubeone.AzureSpec, out *AzureSpec, s conversion.Scope) error {
	return nil
}

// Convert_kubeone_AzureSpec_To_v1beta1_AzureSpec is an autogenerated conversion function.
func Convert_kubeone_AzureSpec_To_v1beta1_AzureSpec(in *kubeone.AzureSpec, out *AzureSpec, s conversion.Scope) error {
	return autoConvert_kubeone_AzureSpec_To_v1beta1_AzureSpec(in, out, s)
}

func autoConvert_v1beta1_BinaryAsset_To_kubeone_BinaryAsset(in *BinaryAsset, out *kubeone.BinaryAsset, s conversion.Scope) error {
	out.URL = in.URL
	return nil
}

// Convert_v1beta1_BinaryAsset_To_kubeone_BinaryAsset is an autogenerated conversion function.
func Convert_v1beta1_BinaryAsset_To_kubeone_BinaryAsset(in *BinaryAsset, out *kubeone.BinaryAsset, s conversion.Scope) error {
	return autoConvert_v1beta1_BinaryAsset_To_kubeone_BinaryAsset(in, out, s)
}

func autoConvert_kubeone_BinaryAsset_To_v1beta1_BinaryAsset(in *kubeone.BinaryAsset, out *BinaryAsset, s conversion.Scope) error {
	out.URL = in.URL
	return nil
}

// Convert_kubeone_BinaryAsset_To_v1beta1_BinaryAsset is an autogenerated conversion function.
func Convert_kubeone_BinaryAsset_To_v1beta1_BinaryAsset(in *kubeone.BinaryAsset, out *BinaryAsset, s conversion.Scope) error {
	return autoConvert_kubeone_BinaryAsset_To_v1beta1_BinaryAsset(in, out, s)
}

func autoConvert_v1beta1_CNI_To_kubeone_CNI(in *CNI, out *kubeone.CNI, s conversion.Scope) error {
	out.Canal = (*kubeone.CanalSpec)(unsafe.Pointer(in.Canal))
	out.Cilium = (*kubeone.CiliumSpec)(unsafe.Pointer(in.Cilium))
	out.WeaveNet = (*kubeone.WeaveNetSpec)(unsafe.Pointer(in.WeaveNet))
	out.External = (*kubeone.ExternalCNISpec)(unsafe.Pointer(in.External))
	return nil
}

// Convert_v1beta1_CNI_To_kubeone_CNI is an autogenerated conversion function.
func Convert_v1beta1_CNI_To_kubeone_CNI(in *CNI, out *kubeone.CNI, s conversion.Scope) error {
	return autoConvert_v1beta1_CNI_To_kubeone_CNI(in, out, s)
}

func autoConvert_kubeone_CNI_To_v1beta1_CNI(in *kubeone.CNI, out *CNI, s conversion.Scope) error {
	out.Canal = (*CanalSpec)(unsafe.Pointer(in.Canal))
	out.Cilium = (*CiliumSpec)(unsafe.Pointer(in.Cilium))
	out.WeaveNet = (*WeaveNetSpec)(unsafe.Pointer(in.WeaveNet))
	out.External = (*ExternalCNISpec)(unsafe.Pointer(in.External))
	return nil
}

// Convert_kubeone_CNI_To_v1beta1_CNI is an autogenerated conversion function.
func Convert_kubeone_CNI_To_v1beta1_CNI(in *kubeone.CNI, out *CNI, s conversion.Scope) error {
	return autoConvert_kubeone_CNI_To_v1beta1_CNI(in, out, s)
}

func autoConvert_v1beta1_CanalSpec_To_kubeone_CanalSpec(in *CanalSpec, out *kubeone.CanalSpec, s conversion.Scope) error {
	out.MTU = in.MTU
	return nil
}

// Convert_v1beta1_CanalSpec_To_kubeone_CanalSpec is an autogenerated conversion function.
func Convert_v1beta1_CanalSpec_To_kubeone_CanalSpec(in *CanalSpec, out *kubeone.CanalSpec, s conversion.Scope) error {
	return autoConvert_v1beta1_CanalSpec_To_kubeone_CanalSpec(in, out, s)
}

func autoConvert_kubeone_CanalSpec_To_v1beta1_CanalSpec(in *kubeone.CanalSpec, out *CanalSpec, s conversion.Scope) error {
	out.MTU = in.MTU
	return nil
}

// Convert_kubeone_CanalSpec_To_v1beta1_CanalSpec is an autogenerated conversion function.
func Convert_kubeone_CanalSpec_To_v1beta1_CanalSpec(in *kubeone.CanalSpec, out *CanalSpec, s conversion.Scope) error {
	return autoConvert_kubeone_CanalSpec_To_v1beta1_CanalSpec(in, out, s)
}

func autoConvert_v1beta1_CiliumSpec_To_kubeone_CiliumSpec(in *CiliumSpec, out *kubeone.CiliumSpec, s conversion.Scope) error {
	out.KubeProxyReplacement = kubeone.KubeProxyReplacementType(in.KubeProxyReplacement)
	out.EnableHubble = in.EnableHubble
	return nil
}

// Convert_v1beta1_CiliumSpec_To_kubeone_CiliumSpec is an autogenerated conversion function.
func Convert_v1beta1_CiliumSpec_To_kubeone_CiliumSpec(in *CiliumSpec, out *kubeone.CiliumSpec, s conversion.Scope) error {
	return autoConvert_v1beta1_CiliumSpec_To_kubeone_CiliumSpec(in, out, s)
}

func autoConvert_kubeone_CiliumSpec_To_v1beta1_CiliumSpec(in *kubeone.CiliumSpec, out *CiliumSpec, s conversion.Scope) error {
	out.KubeProxyReplacement = KubeProxyReplacementType(in.KubeProxyReplacement)
	out.EnableHubble = in.EnableHubble
	return nil
}

// Convert_kubeone_CiliumSpec_To_v1beta1_CiliumSpec is an autogenerated conversion function.
func Convert_kubeone_CiliumSpec_To_v1beta1_CiliumSpec(in *kubeone.CiliumSpec, out *CiliumSpec, s conversion.Scope) error {
	return autoConvert_kubeone_CiliumSpec_To_v1beta1_CiliumSpec(in, out, s)
}

func autoConvert_v1beta1_CloudProviderSpec_To_kubeone_CloudProviderSpec(in *CloudProviderSpec, out *kubeone.CloudProviderSpec, s conversion.Scope) error {
	out.External = in.External
	out.CloudConfig = in.CloudConfig
	out.CSIConfig = in.CSIConfig
	out.AWS = (*kubeone.AWSSpec)(unsafe.Pointer(in.AWS))
	out.Azure = (*kubeone.AzureSpec)(unsafe.Pointer(in.Azure))
	out.DigitalOcean = (*kubeone.DigitalOceanSpec)(unsafe.Pointer(in.DigitalOcean))
	out.GCE = (*kubeone.GCESpec)(unsafe.Pointer(in.GCE))
	out.Hetzner = (*kubeone.HetznerSpec)(unsafe.Pointer(in.Hetzner))
	out.Openstack = (*kubeone.OpenstackSpec)(unsafe.Pointer(in.Openstack))
	// WARNING: in.Packet requires manual conversion: does not exist in peer-type
	out.Vsphere = (*kubeone.VsphereSpec)(unsafe.Pointer(in.Vsphere))
	out.None = (*kubeone.NoneSpec)(unsafe.Pointer(in.None))
	return nil
}

func autoConvert_kubeone_CloudProviderSpec_To_v1beta1_CloudProviderSpec(in *kubeone.CloudProviderSpec, out *CloudProviderSpec, s conversion.Scope) error {
	out.External = in.External
	// WARNING: in.DisableBundledCSIDrivers requires manual conversion: does not exist in peer-type
	out.CloudConfig = in.CloudConfig
	out.CSIConfig = in.CSIConfig
	// WARNING: in.SecretProviderClassName requires manual conversion: does not exist in peer-type
	out.AWS = (*AWSSpec)(unsafe.Pointer(in.AWS))
	out.Azure = (*AzureSpec)(unsafe.Pointer(in.Azure))
	out.DigitalOcean = (*DigitalOceanSpec)(unsafe.Pointer(in.DigitalOcean))
	out.GCE = (*GCESpec)(unsafe.Pointer(in.GCE))
	out.Hetzner = (*HetznerSpec)(unsafe.Pointer(in.Hetzner))
	// WARNING: in.Nutanix requires manual conversion: does not exist in peer-type
	out.Openstack = (*OpenstackSpec)(unsafe.Pointer(in.Openstack))
	// WARNING: in.EquinixMetal requires manual conversion: does not exist in peer-type
	// WARNING: in.VMwareCloudDirector requires manual conversion: does not exist in peer-type
	out.Vsphere = (*VsphereSpec)(unsafe.Pointer(in.Vsphere))
	out.None = (*NoneSpec)(unsafe.Pointer(in.None))
	return nil
}

func autoConvert_v1beta1_ClusterNetworkConfig_To_kubeone_ClusterNetworkConfig(in *ClusterNetworkConfig, out *kubeone.ClusterNetworkConfig, s conversion.Scope) error {
	out.PodSubnet = in.PodSubnet
	out.ServiceSubnet = in.ServiceSubnet
	out.ServiceDomainName = in.ServiceDomainName
	out.NodePortRange = in.NodePortRange
	out.CNI = (*kubeone.CNI)(unsafe.Pointer(in.CNI))
	out.KubeProxy = (*kubeone.KubeProxyConfig)(unsafe.Pointer(in.KubeProxy))
	return nil
}

// Convert_v1beta1_ClusterNetworkConfig_To_kubeone_ClusterNetworkConfig is an autogenerated conversion function.
func Convert_v1beta1_ClusterNetworkConfig_To_kubeone_ClusterNetworkConfig(in *ClusterNetworkConfig, out *kubeone.ClusterNetworkConfig, s conversion.Scope) error {
	return autoConvert_v1beta1_ClusterNetworkConfig_To_kubeone_ClusterNetworkConfig(in, out, s)
}

func autoConvert_kubeone_ClusterNetworkConfig_To_v1beta1_ClusterNetworkConfig(in *kubeone.ClusterNetworkConfig, out *ClusterNetworkConfig, s conversion.Scope) error {
	out.PodSubnet = in.PodSubnet
	// WARNING: in.PodSubnetIPv6 requires manual conversion: does not exist in peer-type
	out.ServiceSubnet = in.ServiceSubnet
	// WARNING: in.ServiceSubnetIPv6 requires manual conversion: does not exist in peer-type
	out.ServiceDomainName = in.ServiceDomainName
	out.NodePortRange = in.NodePortRange
	out.CNI = (*CNI)(unsafe.Pointer(in.CNI))
	out.KubeProxy = (*KubeProxyConfig)(unsafe.Pointer(in.KubeProxy))
	// WARNING: in.IPFamily requires manual conversion: does not exist in peer-type
	// WARNING: in.NodeCIDRMaskSizeIPv4 requires manual conversion: does not exist in peer-type
	// WARNING: in.NodeCIDRMaskSizeIPv6 requires manual conversion: does not exist in peer-type
	return nil
}

func autoConvert_v1beta1_ContainerRuntimeConfig_To_kubeone_ContainerRuntimeConfig(in *ContainerRuntimeConfig, out *kubeone.ContainerRuntimeConfig, s conversion.Scope) error {
	if in.Docker != nil {
		in, out := &in.Docker, &out.Docker
		*out = new(kubeone.ContainerRuntimeDocker)
		if err := Convert_v1beta1_ContainerRuntimeDocker_To_kubeone_ContainerRuntimeDocker(*in, *out, s); err != nil {
			return err
		}
	} else {
		out.Docker = nil
	}
	if in.Containerd != nil {
		in, out := &in.Containerd, &out.Containerd
		*out = new(kubeone.ContainerRuntimeContainerd)
		if err := Convert_v1beta1_ContainerRuntimeContainerd_To_kubeone_ContainerRuntimeContainerd(*in, *out, s); err != nil {
			return err
		}
	} else {
		out.Containerd = nil
	}
	return nil
}

// Convert_v1beta1_ContainerRuntimeConfig_To_kubeone_ContainerRuntimeConfig is an autogenerated conversion function.
func Convert_v1beta1_ContainerRuntimeConfig_To_kubeone_ContainerRuntimeConfig(in *ContainerRuntimeConfig, out *kubeone.ContainerRuntimeConfig, s conversion.Scope) error {
	return autoConvert_v1beta1_ContainerRuntimeConfig_To_kubeone_ContainerRuntimeConfig(in, out, s)
}

func autoConvert_kubeone_ContainerRuntimeConfig_To_v1beta1_ContainerRuntimeConfig(in *kubeone.ContainerRuntimeConfig, out *ContainerRuntimeConfig, s conversion.Scope) error {
	if in.Docker != nil {
		in, out := &in.Docker, &out.Docker
		*out = new(ContainerRuntimeDocker)
		if err := Convert_kubeone_ContainerRuntimeDocker_To_v1beta1_ContainerRuntimeDocker(*in, *out, s); err != nil {
			return err
		}
	} else {
		out.Docker = nil
	}
	if in.Containerd != nil {
		in, out := &in.Containerd, &out.Containerd
		*out = new(ContainerRuntimeContainerd)
		if err := Convert_kubeone_ContainerRuntimeContainerd_To_v1beta1_ContainerRuntimeContainerd(*in, *out, s); err != nil {
			return err
		}
	} else {
		out.Containerd = nil
	}
	return nil
}

// Convert_kubeone_ContainerRuntimeConfig_To_v1beta1_ContainerRuntimeConfig is an autogenerated conversion function.
func Convert_kubeone_ContainerRuntimeConfig_To_v1beta1_ContainerRuntimeConfig(in *kubeone.ContainerRuntimeConfig, out *ContainerRuntimeConfig, s conversion.Scope) error {
	return autoConvert_kubeone_ContainerRuntimeConfig_To_v1beta1_ContainerRuntimeConfig(in, out, s)
}

func autoConvert_v1beta1_ContainerRuntimeContainerd_To_kubeone_ContainerRuntimeContainerd(in *ContainerRuntimeContainerd, out *kubeone.ContainerRuntimeContainerd, s conversion.Scope) error {
	return nil
}

// Convert_v1beta1_ContainerRuntimeContainerd_To_kubeone_ContainerRuntimeContainerd is an autogenerated conversion function.
func Convert_v1beta1_ContainerRuntimeContainerd_To_kubeone_ContainerRuntimeContainerd(in *ContainerRuntimeContainerd, out *kubeone.ContainerRuntimeContainerd, s conversion.Scope) error {
	return autoConvert_v1beta1_ContainerRuntimeContainerd_To_kubeone_ContainerRuntimeContainerd(in, out, s)
}

func autoConvert_kubeone_ContainerRuntimeContainerd_To_v1beta1_ContainerRuntimeContainerd(in *kubeone.ContainerRuntimeContainerd, out *ContainerRuntimeContainerd, s conversion.Scope) error {
	// WARNING: in.Registries requires manual conversion: does not exist in peer-type
	return nil
}

func autoConvert_v1beta1_ContainerRuntimeDocker_To_kubeone_ContainerRuntimeDocker(in *ContainerRuntimeDocker, out *kubeone.ContainerRuntimeDocker, s conversion.Scope) error {
	return nil
}

// Convert_v1beta1_ContainerRuntimeDocker_To_kubeone_ContainerRuntimeDocker is an autogenerated conversion function.
func Convert_v1beta1_ContainerRuntimeDocker_To_kubeone_ContainerRuntimeDocker(in *ContainerRuntimeDocker, out *kubeone.ContainerRuntimeDocker, s conversion.Scope) error {
	return autoConvert_v1beta1_ContainerRuntimeDocker_To_kubeone_ContainerRuntimeDocker(in, out, s)
}

func autoConvert_kubeone_ContainerRuntimeDocker_To_v1beta1_ContainerRuntimeDocker(in *kubeone.ContainerRuntimeDocker, out *ContainerRuntimeDocker, s conversion.Scope) error {
	// WARNING: in.RegistryMirrors requires manual conversion: does not exist in peer-type
	return nil
}

func autoConvert_v1beta1_ControlPlaneConfig_To_kubeone_ControlPlaneConfig(in *ControlPlaneConfig, out *kubeone.ControlPlaneConfig, s conversion.Scope) error {
	if in.Hosts != nil {
		in, out := &in.Hosts, &out.Hosts
		*out = make([]kubeone.HostConfig, len(*in))
		for i := range *in {
			if err := Convert_v1beta1_HostConfig_To_kubeone_HostConfig(&(*in)[i], &(*out)[i], s); err != nil {
				return err
			}
		}
	} else {
		out.Hosts = nil
	}
	return nil
}

// Convert_v1beta1_ControlPlaneConfig_To_kubeone_ControlPlaneConfig is an autogenerated conversion function.
func Convert_v1beta1_ControlPlaneConfig_To_kubeone_ControlPlaneConfig(in *ControlPlaneConfig, out *kubeone.ControlPlaneConfig, s conversion.Scope) error {
	return autoConvert_v1beta1_ControlPlaneConfig_To_kubeone_ControlPlaneConfig(in, out, s)
}

func autoConvert_kubeone_ControlPlaneConfig_To_v1beta1_ControlPlaneConfig(in *kubeone.ControlPlaneConfig, out *ControlPlaneConfig, s conversion.Scope) error {
	if in.Hosts != nil {
		in, out := &in.Hosts, &out.Hosts
		*out = make([]HostConfig, len(*in))
		for i := range *in {
			if err := Convert_kubeone_HostConfig_To_v1beta1_HostConfig(&(*in)[i], &(*out)[i], s); err != nil {
				return err
			}
		}
	} else {
		out.Hosts = nil
	}
	return nil
}

// Convert_kubeone_ControlPlaneConfig_To_v1beta1_ControlPlaneConfig is an autogenerated conversion function.
func Convert_kubeone_ControlPlaneConfig_To_v1beta1_ControlPlaneConfig(in *kubeone.ControlPlaneConfig, out *ControlPlaneConfig, s conversion.Scope) error {
	return autoConvert_kubeone_ControlPlaneConfig_To_v1beta1_ControlPlaneConfig(in, out, s)
}

func autoConvert_v1beta1_DNSConfig_To_kubeone_DNSConfig(in *DNSConfig, out *kubeone.DNSConfig, s conversion.Scope) error {
	out.Servers = *(*[]string)(unsafe.Pointer(&in.Servers))
	return nil
}

// Convert_v1beta1_DNSConfig_To_kubeone_DNSConfig is an autogenerated conversion function.
func Convert_v1beta1_DNSConfig_To_kubeone_DNSConfig(in *DNSConfig, out *kubeone.DNSConfig, s conversion.Scope) error {
	return autoConvert_v1beta1_DNSConfig_To_kubeone_DNSConfig(in, out, s)
}

func autoConvert_kubeone_DNSConfig_To_v1beta1_DNSConfig(in *kubeone.DNSConfig, out *DNSConfig, s conversion.Scope) error {
	out.Servers = *(*[]string)(unsafe.Pointer(&in.Servers))
	return nil
}

// Convert_kubeone_DNSConfig_To_v1beta1_DNSConfig is an autogenerated conversion function.
func Convert_kubeone_DNSConfig_To_v1beta1_DNSConfig(in *kubeone.DNSConfig, out *DNSConfig, s conversion.Scope) error {
	return autoConvert_kubeone_DNSConfig_To_v1beta1_DNSConfig(in, out, s)
}

func autoConvert_v1beta1_DigitalOceanSpec_To_kubeone_DigitalOceanSpec(in *DigitalOceanSpec, out *kubeone.DigitalOceanSpec, s conversion.Scope) error {
	return nil
}

// Convert_v1beta1_DigitalOceanSpec_To_kubeone_DigitalOceanSpec is an autogenerated conversion function.
func Convert_v1beta1_DigitalOceanSpec_To_kubeone_DigitalOceanSpec(in *DigitalOceanSpec, out *kubeone.DigitalOceanSpec, s conversion.Scope) error {
	return autoConvert_v1beta1_DigitalOceanSpec_To_kubeone_DigitalOceanSpec(in, out, s)
}

func autoConvert_kubeone_DigitalOceanSpec_To_v1beta1_DigitalOceanSpec(in *kubeone.DigitalOceanSpec, out *DigitalOceanSpec, s conversion.Scope) error {
	return nil
}

// Convert_kubeone_DigitalOceanSpec_To_v1beta1_DigitalOceanSpec is an autogenerated conversion function.
func Convert_kubeone_DigitalOceanSpec_To_v1beta1_DigitalOceanSpec(in *kubeone.DigitalOceanSpec, out *DigitalOceanSpec, s conversion.Scope) error {
	return autoConvert_kubeone_DigitalOceanSpec_To_v1beta1_DigitalOceanSpec(in, out, s)
}

func autoConvert_v1beta1_DynamicAuditLog_To_kubeone_DynamicAuditLog(in *DynamicAuditLog, out *kubeone.DynamicAuditLog, s conversion.Scope) error {
	out.Enable = in.Enable
	return nil
}

// Convert_v1beta1_DynamicAuditLog_To_kubeone_DynamicAuditLog is an autogenerated conversion function.
func Convert_v1beta1_DynamicAuditLog_To_kubeone_DynamicAuditLog(in *DynamicAuditLog, out *kubeone.DynamicAuditLog, s conversion.Scope) error {
	return autoConvert_v1beta1_DynamicAuditLog_To_kubeone_DynamicAuditLog(in, out, s)
}

func autoConvert_kubeone_DynamicAuditLog_To_v1beta1_DynamicAuditLog(in *kubeone.DynamicAuditLog, out *DynamicAuditLog, s conversion.Scope) error {
	out.Enable = in.Enable
	return nil
}

// Convert_kubeone_DynamicAuditLog_To_v1beta1_DynamicAuditLog is an autogenerated conversion function.
func Convert_kubeone_DynamicAuditLog_To_v1beta1_DynamicAuditLog(in *kubeone.DynamicAuditLog, out *DynamicAuditLog, s conversion.Scope) error {
	return autoConvert_kubeone_DynamicAuditLog_To_v1beta1_DynamicAuditLog(in, out, s)
}

func autoConvert_v1beta1_DynamicWorkerConfig_To_kubeone_DynamicWorkerConfig(in *DynamicWorkerConfig, out *kubeone.DynamicWorkerConfig, s conversion.Scope) error {
	out.Name = in.Name
	out.Replicas = (*int)(unsafe.Pointer(in.Replicas))
	if err := Convert_v1beta1_ProviderSpec_To_kubeone_ProviderSpec(&in.Config, &out.Config, s); err != nil {
		return err
	}
	return nil
}

// Convert_v1beta1_DynamicWorkerConfig_To_kubeone_DynamicWorkerConfig is an autogenerated conversion function.
func Convert_v1beta1_DynamicWorkerConfig_To_kubeone_DynamicWorkerConfig(in *DynamicWorkerConfig, out *kubeone.DynamicWorkerConfig, s conversion.Scope) error {
	return autoConvert_v1beta1_DynamicWorkerConfig_To_kubeone_DynamicWorkerConfig(in, out, s)
}

func autoConvert_kubeone_DynamicWorkerConfig_To_v1beta1_DynamicWorkerConfig(in *kubeone.DynamicWorkerConfig, out *DynamicWorkerConfig, s conversion.Scope) error {
	out.Name = in.Name
	out.Replicas = (*int)(unsafe.Pointer(in.Replicas))
	if err := Convert_kubeone_ProviderSpec_To_v1beta1_ProviderSpec(&in.Config, &out.Config, s); err != nil {
		return err
	}
	return nil
}

// Convert_kubeone_DynamicWorkerConfig_To_v1beta1_DynamicWorkerConfig is an autogenerated conversion function.
func Convert_kubeone_DynamicWorkerConfig_To_v1beta1_DynamicWorkerConfig(in *kubeone.DynamicWorkerConfig, out *DynamicWorkerConfig, s conversion.Scope) error {
	return autoConvert_kubeone_DynamicWorkerConfig_To_v1beta1_DynamicWorkerConfig(in, out, s)
}

func autoConvert_v1beta1_EncryptionProviders_To_kubeone_EncryptionProviders(in *EncryptionProviders, out *kubeone.EncryptionProviders, s conversion.Scope) error {
	out.Enable = in.Enable
	out.CustomEncryptionConfiguration = in.CustomEncryptionConfiguration
	return nil
}

// Convert_v1beta1_EncryptionProviders_To_kubeone_EncryptionProviders is an autogenerated conversion function.
func Convert_v1beta1_EncryptionProviders_To_kubeone_EncryptionProviders(in *EncryptionProviders, out *kubeone.EncryptionProviders, s conversion.Scope) error {
	return autoConvert_v1beta1_EncryptionProviders_To_kubeone_EncryptionProviders(in, out, s)
}

func autoConvert_kubeone_EncryptionProviders_To_v1beta1_EncryptionProviders(in *kubeone.EncryptionProviders, out *EncryptionProviders, s conversion.Scope) error {
	out.Enable = in.Enable
	out.CustomEncryptionConfiguration = in.CustomEncryptionConfiguration
	return nil
}

// Convert_kubeone_EncryptionProviders_To_v1beta1_EncryptionProviders is an autogenerated conversion function.
func Convert_kubeone_EncryptionProviders_To_v1beta1_EncryptionProviders(in *kubeone.EncryptionProviders, out *EncryptionProviders, s conversion.Scope) error {
	return autoConvert_kubeone_EncryptionProviders_To_v1beta1_EncryptionProviders(in, out, s)
}

func autoConvert_v1beta1_ExternalCNISpec_To_kubeone_ExternalCNISpec(in *ExternalCNISpec, out *kubeone.ExternalCNISpec, s conversion.Scope) error {
	return nil
}

// Convert_v1beta1_ExternalCNISpec_To_kubeone_ExternalCNISpec is an autogenerated conversion function.
func Convert_v1beta1_ExternalCNISpec_To_kubeone_ExternalCNISpec(in *ExternalCNISpec, out *kubeone.ExternalCNISpec, s conversion.Scope) error {
	return autoConvert_v1beta1_ExternalCNISpec_To_kubeone_ExternalCNISpec(in, out, s)
}

func autoConvert_kubeone_ExternalCNISpec_To_v1beta1_ExternalCNISpec(in *kubeone.ExternalCNISpec, out *ExternalCNISpec, s conversion.Scope) error {
	return nil
}

// Convert_kubeone_ExternalCNISpec_To_v1beta1_ExternalCNISpec is an autogenerated conversion function.
func Convert_kubeone_ExternalCNISpec_To_v1beta1_ExternalCNISpec(in *kubeone.ExternalCNISpec, out *ExternalCNISpec, s conversion.Scope) error {
	return autoConvert_kubeone_ExternalCNISpec_To_v1beta1_ExternalCNISpec(in, out, s)
}

func autoConvert_v1beta1_Features_To_kubeone_Features(in *Features, out *kubeone.Features, s conversion.Scope) error {
	out.PodNodeSelector = (*kubeone.PodNodeSelector)(unsafe.Pointer(in.PodNodeSelector))
	// WARNING: in.PodPresets requires manual conversion: does not exist in peer-type
	out.PodSecurityPolicy = (*kubeone.PodSecurityPolicy)(unsafe.Pointer(in.PodSecurityPolicy))
	out.StaticAuditLog = (*kubeone.StaticAuditLog)(unsafe.Pointer(in.StaticAuditLog))
	out.DynamicAuditLog = (*kubeone.DynamicAuditLog)(unsafe.Pointer(in.DynamicAuditLog))
	out.MetricsServer = (*kubeone.MetricsServer)(unsafe.Pointer(in.MetricsServer))
	out.OpenIDConnect = (*kubeone.OpenIDConnect)(unsafe.Pointer(in.OpenIDConnect))
	out.EncryptionProviders = (*kubeone.EncryptionProviders)(unsafe.Pointer(in.EncryptionProviders))
	return nil
}

func autoConvert_kubeone_Features_To_v1beta1_Features(in *kubeone.Features, out *Features, s conversion.Scope) error {
	// WARNING: in.CoreDNS requires manual conversion: does not exist in peer-type
	out.PodNodeSelector = (*PodNodeSelector)(unsafe.Pointer(in.PodNodeSelector))
	out.PodSecurityPolicy = (*PodSecurityPolicy)(unsafe.Pointer(in.PodSecurityPolicy))
	out.StaticAuditLog = (*StaticAuditLog)(unsafe.Pointer(in.StaticAuditLog))
	out.DynamicAuditLog = (*DynamicAuditLog)(unsafe.Pointer(in.DynamicAuditLog))
	out.MetricsServer = (*MetricsServer)(unsafe.Pointer(in.MetricsServer))
	out.OpenIDConnect = (*OpenIDConnect)(unsafe.Pointer(in.OpenIDConnect))
	out.EncryptionProviders = (*EncryptionProviders)(unsafe.Pointer(in.EncryptionProviders))
	// WARNING: in.NodeLocalDNS requires manual conversion: does not exist in peer-type
	return nil
}

func autoConvert_v1beta1_GCESpec_To_kubeone_GCESpec(in *GCESpec, out *kubeone.GCESpec, s conversion.Scope) error {
	return nil
}

// Convert_v1beta1_GCESpec_To_kubeone_GCESpec is an autogenerated conversion function.
func Convert_v1beta1_GCESpec_To_kubeone_GCESpec(in *GCESpec, out *kubeone.GCESpec, s conversion.Scope) error {
	return autoConvert_v1beta1_GCESpec_To_kubeone_GCESpec(in, out, s)
}

func autoConvert_kubeone_GCESpec_To_v1beta1_GCESpec(in *kubeone.GCESpec, out *GCESpec, s conversion.Scope) error {
	return nil
}

// Convert_kubeone_GCESpec_To_v1beta1_GCESpec is an autogenerated conversion function.
func Convert_kubeone_GCESpec_To_v1beta1_GCESpec(in *kubeone.GCESpec, out *GCESpec, s conversion.Scope) error {
	return autoConvert_kubeone_GCESpec_To_v1beta1_GCESpec(in, out, s)
}

func autoConvert_v1beta1_HetznerSpec_To_kubeone_HetznerSpec(in *HetznerSpec, out *kubeone.HetznerSpec, s conversion.Scope) error {
	out.NetworkID = in.NetworkID
	return nil
}

// Convert_v1beta1_HetznerSpec_To_kubeone_HetznerSpec is an autogenerated conversion function.
func Convert_v1beta1_HetznerSpec_To_kubeone_HetznerSpec(in *HetznerSpec, out *kubeone.HetznerSpec, s conversion.Scope) error {
	return autoConvert_v1beta1_HetznerSpec_To_kubeone_HetznerSpec(in, out, s)
}

func autoConvert_kubeone_HetznerSpec_To_v1beta1_HetznerSpec(in *kubeone.HetznerSpec, out *HetznerSpec, s conversion.Scope) error {
	out.NetworkID = in.NetworkID
	return nil
}

// Convert_kubeone_HetznerSpec_To_v1beta1_HetznerSpec is an autogenerated conversion function.
func Convert_kubeone_HetznerSpec_To_v1beta1_HetznerSpec(in *kubeone.HetznerSpec, out *HetznerSpec, s conversion.Scope) error {
	return autoConvert_kubeone_HetznerSpec_To_v1beta1_HetznerSpec(in, out, s)
}

func autoConvert_v1beta1_HostConfig_To_kubeone_HostConfig(in *HostConfig, out *kubeone.HostConfig, s conversion.Scope) error {
	out.ID = in.ID
	out.PublicAddress = in.PublicAddress
	out.PrivateAddress = in.PrivateAddress
	out.SSHPort = in.SSHPort
	out.SSHUsername = in.SSHUsername
	out.SSHPrivateKeyFile = in.SSHPrivateKeyFile
	out.SSHAgentSocket = in.SSHAgentSocket
	out.Bastion = in.Bastion
	out.BastionPort = in.BastionPort
	out.BastionUser = in.BastionUser
	out.Hostname = in.Hostname
	out.IsLeader = in.IsLeader
	out.Taints = *(*[]v1.Taint)(unsafe.Pointer(&in.Taints))
	out.OperatingSystem = kubeone.OperatingSystemName(in.OperatingSystem)
	return nil
}

// Convert_v1beta1_HostConfig_To_kubeone_HostConfig is an autogenerated conversion function.
func Convert_v1beta1_HostConfig_To_kubeone_HostConfig(in *HostConfig, out *kubeone.HostConfig, s conversion.Scope) error {
	return autoConvert_v1beta1_HostConfig_To_kubeone_HostConfig(in, out, s)
}

func autoConvert_kubeone_HostConfig_To_v1beta1_HostConfig(in *kubeone.HostConfig, out *HostConfig, s conversion.Scope) error {
	out.ID = in.ID
	out.PublicAddress = in.PublicAddress
	// WARNING: in.IPv6Addresses requires manual conversion: does not exist in peer-type
	out.PrivateAddress = in.PrivateAddress
	out.SSHPort = in.SSHPort
	out.SSHUsername = in.SSHUsername
	out.SSHPrivateKeyFile = in.SSHPrivateKeyFile
	// WARNING: in.SSHHostPublicKey requires manual conversion: does not exist in peer-type
	out.SSHAgentSocket = in.SSHAgentSocket
	out.Bastion = in.Bastion
	out.BastionPort = in.BastionPort
	out.BastionUser = in.BastionUser
	// WARNING: in.BastionHostPublicKey requires manual conversion: does not exist in peer-type
	out.Hostname = in.Hostname
	out.IsLeader = in.IsLeader
	out.Taints = *(*[]v1.Taint)(unsafe.Pointer(&in.Taints))
	// WARNING: in.Labels requires manual conversion: does not exist in peer-type
	// WARNING: in.Kubelet requires manual conversion: does not exist in peer-type
	out.OperatingSystem = OperatingSystemName(in.OperatingSystem)
	return nil
}

func autoConvert_v1beta1_IPTables_To_kubeone_IPTables(in *IPTables, out *kubeone.IPTables, s conversion.Scope) error {
	return nil
}

// Convert_v1beta1_IPTables_To_kubeone_IPTables is an autogenerated conversion function.
func Convert_v1beta1_IPTables_To_kubeone_IPTables(in *IPTables, out *kubeone.IPTables, s conversion.Scope) error {
	return autoConvert_v1beta1_IPTables_To_kubeone_IPTables(in, out, s)
}

func autoConvert_kubeone_IPTables_To_v1beta1_IPTables(in *kubeone.IPTables, out *IPTables, s conversion.Scope) error {
	return nil
}

// Convert_kubeone_IPTables_To_v1beta1_IPTables is an autogenerated conversion function.
func Convert_kubeone_IPTables_To_v1beta1_IPTables(in *kubeone.IPTables, out *IPTables, s conversion.Scope) error {
	return autoConvert_kubeone_IPTables_To_v1beta1_IPTables(in, out, s)
}

func autoConvert_v1beta1_IPVSConfig_To_kubeone_IPVSConfig(in *IPVSConfig, out *kubeone.IPVSConfig, s conversion.Scope) error {
	out.Scheduler = in.Scheduler
	out.ExcludeCIDRs = *(*[]string)(unsafe.Pointer(&in.ExcludeCIDRs))
	out.StrictARP = in.StrictARP
	out.TCPTimeout = in.TCPTimeout
	out.TCPFinTimeout = in.TCPFinTimeout
	out.UDPTimeout = in.UDPTimeout
	return nil
}

// Convert_v1beta1_IPVSConfig_To_kubeone_IPVSConfig is an autogenerated conversion function.
func Convert_v1beta1_IPVSConfig_To_kubeone_IPVSConfig(in *IPVSConfig, out *kubeone.IPVSConfig, s conversion.Scope) error {
	return autoConvert_v1beta1_IPVSConfig_To_kubeone_IPVSConfig(in, out, s)
}

func autoConvert_kubeone_IPVSConfig_To_v1beta1_IPVSConfig(in *kubeone.IPVSConfig, out *IPVSConfig, s conversion.Scope) error {
	out.Scheduler = in.Scheduler
	out.ExcludeCIDRs = *(*[]string)(unsafe.Pointer(&in.ExcludeCIDRs))
	out.StrictARP = in.StrictARP
	out.TCPTimeout = in.TCPTimeout
	out.TCPFinTimeout = in.TCPFinTimeout
	out.UDPTimeout = in.UDPTimeout
	return nil
}

// Convert_kubeone_IPVSConfig_To_v1beta1_IPVSConfig is an autogenerated conversion function.
func Convert_kubeone_IPVSConfig_To_v1beta1_IPVSConfig(in *kubeone.IPVSConfig, out *IPVSConfig, s conversion.Scope) error {
	return autoConvert_kubeone_IPVSConfig_To_v1beta1_IPVSConfig(in, out, s)
}

func autoConvert_v1beta1_ImageAsset_To_kubeone_ImageAsset(in *ImageAsset, out *kubeone.ImageAsset, s conversion.Scope) error {
	out.ImageRepository = in.ImageRepository
	out.ImageTag = in.ImageTag
	return nil
}

// Convert_v1beta1_ImageAsset_To_kubeone_ImageAsset is an autogenerated conversion function.
func Convert_v1beta1_ImageAsset_To_kubeone_ImageAsset(in *ImageAsset, out *kubeone.ImageAsset, s conversion.Scope) error {
	return autoConvert_v1beta1_ImageAsset_To_kubeone_ImageAsset(in, out, s)
}

func autoConvert_kubeone_ImageAsset_To_v1beta1_ImageAsset(in *kubeone.ImageAsset, out *ImageAsset, s conversion.Scope) error {
	out.ImageRepository = in.ImageRepository
	out.ImageTag = in.ImageTag
	return nil
}

// Convert_kubeone_ImageAsset_To_v1beta1_ImageAsset is an autogenerated conversion function.
func Convert_kubeone_ImageAsset_To_v1beta1_ImageAsset(in *kubeone.ImageAsset, out *ImageAsset, s conversion.Scope) error {
	return autoConvert_kubeone_ImageAsset_To_v1beta1_ImageAsset(in, out, s)
}

func autoConvert_v1beta1_KubeOneCluster_To_kubeone_KubeOneCluster(in *KubeOneCluster, out *kubeone.KubeOneCluster, s conversion.Scope) error {
	out.Name = in.Name
	if err := Convert_v1beta1_ControlPlaneConfig_To_kubeone_ControlPlaneConfig(&in.ControlPlane, &out.ControlPlane, s); err != nil {
		return err
	}
	if err := Convert_v1beta1_APIEndpoint_To_kubeone_APIEndpoint(&in.APIEndpoint, &out.APIEndpoint, s); err != nil {
		return err
	}
	if err := Convert_v1beta1_CloudProviderSpec_To_kubeone_CloudProviderSpec(&in.CloudProvider, &out.CloudProvider, s); err != nil {
		return err
	}
	if err := Convert_v1beta1_VersionConfig_To_kubeone_VersionConfig(&in.Versions, &out.Versions, s); err != nil {
		return err
	}
	if err := Convert_v1beta1_ContainerRuntimeConfig_To_kubeone_ContainerRuntimeConfig(&in.ContainerRuntime, &out.ContainerRuntime, s); err != nil {
		return err
	}
	if err := Convert_v1beta1_ClusterNetworkConfig_To_kubeone_ClusterNetworkConfig(&in.ClusterNetwork, &out.ClusterNetwork, s); err != nil {
		return err
	}
	if err := Convert_v1beta1_ProxyConfig_To_kubeone_ProxyConfig(&in.Proxy, &out.Proxy, s); err != nil {
		return err
	}
	if err := Convert_v1beta1_StaticWorkersConfig_To_kubeone_StaticWorkersConfig(&in.StaticWorkers, &out.StaticWorkers, s); err != nil {
		return err
	}
	if in.DynamicWorkers != nil {
		in, out := &in.DynamicWorkers, &out.DynamicWorkers
		*out = make([]kubeone.DynamicWorkerConfig, len(*in))
		for i := range *in {
			if err := Convert_v1beta1_DynamicWorkerConfig_To_kubeone_DynamicWorkerConfig(&(*in)[i], &(*out)[i], s); err != nil {
				return err
			}
		}
	} else {
		out.DynamicWorkers = nil
	}
	out.MachineController = (*kubeone.MachineControllerConfig)(unsafe.Pointer(in.MachineController))
	out.CABundle = in.CABundle
	if err := Convert_v1beta1_Features_To_kubeone_Features(&in.Features, &out.Features, s); err != nil {
		return err
	}
	if in.Addons != nil {
		in, out := &in.Addons, &out.Addons
		*out = new(kubeone.Addons)
		if err := Convert_v1beta1_Addons_To_kubeone_Addons(*in, *out, s); err != nil {
			return err
		}
	} else {
		out.Addons = nil
	}
	out.SystemPackages = (*kubeone.SystemPackages)(unsafe.Pointer(in.SystemPackages))
	if err := Convert_v1beta1_AssetConfiguration_To_kubeone_AssetConfiguration(&in.AssetConfiguration, &out.AssetConfiguration, s); err != nil {
		return err
	}
	out.RegistryConfiguration = (*kubeone.RegistryConfiguration)(unsafe.Pointer(in.RegistryConfiguration))
	return nil
}

// Convert_v1beta1_KubeOneCluster_To_kubeone_KubeOneCluster is an autogenerated conversion function.
func Convert_v1beta1_KubeOneCluster_To_kubeone_KubeOneCluster(in *KubeOneCluster, out *kubeone.KubeOneCluster, s conversion.Scope) error {
	return autoConvert_v1beta1_KubeOneCluster_To_kubeone_KubeOneCluster(in, out, s)
}

func autoConvert_kubeone_KubeOneCluster_To_v1beta1_KubeOneCluster(in *kubeone.KubeOneCluster, out *KubeOneCluster, s conversion.Scope) error {
	out.Name = in.Name
	if err := Convert_kubeone_ControlPlaneConfig_To_v1beta1_ControlPlaneConfig(&in.ControlPlane, &out.ControlPlane, s); err != nil {
		return err
	}
	if err := Convert_kubeone_APIEndpoint_To_v1beta1_APIEndpoint(&in.APIEndpoint, &out.APIEndpoint, s); err != nil {
		return err
	}
	if err := Convert_kubeone_CloudProviderSpec_To_v1beta1_CloudProviderSpec(&in.CloudProvider, &out.CloudProvider, s); err != nil {
		return err
	}
	if err := Convert_kubeone_VersionConfig_To_v1beta1_VersionConfig(&in.Versions, &out.Versions, s); err != nil {
		return err
	}
	if err := Convert_kubeone_ContainerRuntimeConfig_To_v1beta1_ContainerRuntimeConfig(&in.ContainerRuntime, &out.ContainerRuntime, s); err != nil {
		return err
	}
	if err := Convert_kubeone_ClusterNetworkConfig_To_v1beta1_ClusterNetworkConfig(&in.ClusterNetwork, &out.ClusterNetwork, s); err != nil {
		return err
	}
	if err := Convert_kubeone_ProxyConfig_To_v1beta1_ProxyConfig(&in.Proxy, &out.Proxy, s); err != nil {
		return err
	}
	if err := Convert_kubeone_StaticWorkersConfig_To_v1beta1_StaticWorkersConfig(&in.StaticWorkers, &out.StaticWorkers, s); err != nil {
		return err
	}
	if in.DynamicWorkers != nil {
		in, out := &in.DynamicWorkers, &out.DynamicWorkers
		*out = make([]DynamicWorkerConfig, len(*in))
		for i := range *in {
			if err := Convert_kubeone_DynamicWorkerConfig_To_v1beta1_DynamicWorkerConfig(&(*in)[i], &(*out)[i], s); err != nil {
				return err
			}
		}
	} else {
		out.DynamicWorkers = nil
	}
	out.MachineController = (*MachineControllerConfig)(unsafe.Pointer(in.MachineController))
	// WARNING: in.OperatingSystemManager requires manual conversion: does not exist in peer-type
	out.CABundle = in.CABundle
	if err := Convert_kubeone_Features_To_v1beta1_Features(&in.Features, &out.Features, s); err != nil {
		return err
	}
	if in.Addons != nil {
		in, out := &in.Addons, &out.Addons
		*out = new(Addons)
		if err := Convert_kubeone_Addons_To_v1beta1_Addons(*in, *out, s); err != nil {
			return err
		}
	} else {
		out.Addons = nil
	}
	// WARNING: in.HelmReleases requires manual conversion: does not exist in peer-type
	out.SystemPackages = (*SystemPackages)(unsafe.Pointer(in.SystemPackages))
	if err := Convert_kubeone_AssetConfiguration_To_v1beta1_AssetConfiguration(&in.AssetConfiguration, &out.AssetConfiguration, s); err != nil {
		return err
	}
	out.RegistryConfiguration = (*RegistryConfiguration)(unsafe.Pointer(in.RegistryConfiguration))
	// WARNING: in.LoggingConfig requires manual conversion: does not exist in peer-type
	return nil
}

func autoConvert_v1beta1_KubeProxyConfig_To_kubeone_KubeProxyConfig(in *KubeProxyConfig, out *kubeone.KubeProxyConfig, s conversion.Scope) error {
	out.SkipInstallation = in.SkipInstallation
	out.IPVS = (*kubeone.IPVSConfig)(unsafe.Pointer(in.IPVS))
	out.IPTables = (*kubeone.IPTables)(unsafe.Pointer(in.IPTables))
	return nil
}

// Convert_v1beta1_KubeProxyConfig_To_kubeone_KubeProxyConfig is an autogenerated conversion function.
func Convert_v1beta1_KubeProxyConfig_To_kubeone_KubeProxyConfig(in *KubeProxyConfig, out *kubeone.KubeProxyConfig, s conversion.Scope) error {
	return autoConvert_v1beta1_KubeProxyConfig_To_kubeone_KubeProxyConfig(in, out, s)
}

func autoConvert_kubeone_KubeProxyConfig_To_v1beta1_KubeProxyConfig(in *kubeone.KubeProxyConfig, out *KubeProxyConfig, s conversion.Scope) error {
	out.SkipInstallation = in.SkipInstallation
	out.IPVS = (*IPVSConfig)(unsafe.Pointer(in.IPVS))
	out.IPTables = (*IPTables)(unsafe.Pointer(in.IPTables))
	return nil
}

// Convert_kubeone_KubeProxyConfig_To_v1beta1_KubeProxyConfig is an autogenerated conversion function.
func Convert_kubeone_KubeProxyConfig_To_v1beta1_KubeProxyConfig(in *kubeone.KubeProxyConfig, out *KubeProxyConfig, s conversion.Scope) error {
	return autoConvert_kubeone_KubeProxyConfig_To_v1beta1_KubeProxyConfig(in, out, s)
}

func autoConvert_v1beta1_MachineControllerConfig_To_kubeone_MachineControllerConfig(in *MachineControllerConfig, out *kubeone.MachineControllerConfig, s conversion.Scope) error {
	out.Deploy = in.Deploy
	return nil
}

// Convert_v1beta1_MachineControllerConfig_To_kubeone_MachineControllerConfig is an autogenerated conversion function.
func Convert_v1beta1_MachineControllerConfig_To_kubeone_MachineControllerConfig(in *MachineControllerConfig, out *kubeone.MachineControllerConfig, s conversion.Scope) error {
	return autoConvert_v1beta1_MachineControllerConfig_To_kubeone_MachineControllerConfig(in, out, s)
}

func autoConvert_kubeone_MachineControllerConfig_To_v1beta1_MachineControllerConfig(in *kubeone.MachineControllerConfig, out *MachineControllerConfig, s conversion.Scope) error {
	out.Deploy = in.Deploy
	return nil
}

// Convert_kubeone_MachineControllerConfig_To_v1beta1_MachineControllerConfig is an autogenerated conversion function.
func Convert_kubeone_MachineControllerConfig_To_v1beta1_MachineControllerConfig(in *kubeone.MachineControllerConfig, out *MachineControllerConfig, s conversion.Scope) error {
	return autoConvert_kubeone_MachineControllerConfig_To_v1beta1_MachineControllerConfig(in, out, s)
}

func autoConvert_v1beta1_MetricsServer_To_kubeone_MetricsServer(in *MetricsServer, out *kubeone.MetricsServer, s conversion.Scope) error {
	out.Enable = in.Enable
	return nil
}

// Convert_v1beta1_MetricsServer_To_kubeone_MetricsServer is an autogenerated conversion function.
func Convert_v1beta1_MetricsServer_To_kubeone_MetricsServer(in *MetricsServer, out *kubeone.MetricsServer, s conversion.Scope) error {
	return autoConvert_v1beta1_MetricsServer_To_kubeone_MetricsServer(in, out, s)
}

func autoConvert_kubeone_MetricsServer_To_v1beta1_MetricsServer(in *kubeone.MetricsServer, out *MetricsServer, s conversion.Scope) error {
	out.Enable = in.Enable
	return nil
}

// Convert_kubeone_MetricsServer_To_v1beta1_MetricsServer is an autogenerated conversion function.
func Convert_kubeone_MetricsServer_To_v1beta1_MetricsServer(in *kubeone.MetricsServer, out *MetricsServer, s conversion.Scope) error {
	return autoConvert_kubeone_MetricsServer_To_v1beta1_MetricsServer(in, out, s)
}

func autoConvert_v1beta1_NoneSpec_To_kubeone_NoneSpec(in *NoneSpec, out *kubeone.NoneSpec, s conversion.Scope) error {
	return nil
}

// Convert_v1beta1_NoneSpec_To_kubeone_NoneSpec is an autogenerated conversion function.
func Convert_v1beta1_NoneSpec_To_kubeone_NoneSpec(in *NoneSpec, out *kubeone.NoneSpec, s conversion.Scope) error {
	return autoConvert_v1beta1_NoneSpec_To_kubeone_NoneSpec(in, out, s)
}

func autoConvert_kubeone_NoneSpec_To_v1beta1_NoneSpec(in *kubeone.NoneSpec, out *NoneSpec, s conversion.Scope) error {
	return nil
}

// Convert_kubeone_NoneSpec_To_v1beta1_NoneSpec is an autogenerated conversion function.
func Convert_kubeone_NoneSpec_To_v1beta1_NoneSpec(in *kubeone.NoneSpec, out *NoneSpec, s conversion.Scope) error {
	return autoConvert_kubeone_NoneSpec_To_v1beta1_NoneSpec(in, out, s)
}

func autoConvert_v1beta1_OpenIDConnect_To_kubeone_OpenIDConnect(in *OpenIDConnect, out *kubeone.OpenIDConnect, s conversion.Scope) error {
	out.Enable = in.Enable
	if err := Convert_v1beta1_OpenIDConnectConfig_To_kubeone_OpenIDConnectConfig(&in.Config, &out.Config, s); err != nil {
		return err
	}
	return nil
}

// Convert_v1beta1_OpenIDConnect_To_kubeone_OpenIDConnect is an autogenerated conversion function.
func Convert_v1beta1_OpenIDConnect_To_kubeone_OpenIDConnect(in *OpenIDConnect, out *kubeone.OpenIDConnect, s conversion.Scope) error {
	return autoConvert_v1beta1_OpenIDConnect_To_kubeone_OpenIDConnect(in, out, s)
}

func autoConvert_kubeone_OpenIDConnect_To_v1beta1_OpenIDConnect(in *kubeone.OpenIDConnect, out *OpenIDConnect, s conversion.Scope) error {
	out.Enable = in.Enable
	if err := Convert_kubeone_OpenIDConnectConfig_To_v1beta1_OpenIDConnectConfig(&in.Config, &out.Config, s); err != nil {
		return err
	}
	return nil
}

// Convert_kubeone_OpenIDConnect_To_v1beta1_OpenIDConnect is an autogenerated conversion function.
func Convert_kubeone_OpenIDConnect_To_v1beta1_OpenIDConnect(in *kubeone.OpenIDConnect, out *OpenIDConnect, s conversion.Scope) error {
	return autoConvert_kubeone_OpenIDConnect_To_v1beta1_OpenIDConnect(in, out, s)
}

func autoConvert_v1beta1_OpenIDConnectConfig_To_kubeone_OpenIDConnectConfig(in *OpenIDConnectConfig, out *kubeone.OpenIDConnectConfig, s conversion.Scope) error {
	out.IssuerURL = in.IssuerURL
	out.ClientID = in.ClientID
	out.UsernameClaim = in.UsernameClaim
	out.UsernamePrefix = in.UsernamePrefix
	out.GroupsClaim = in.GroupsClaim
	out.GroupsPrefix = in.GroupsPrefix
	out.RequiredClaim = in.RequiredClaim
	out.SigningAlgs = in.SigningAlgs
	out.CAFile = in.CAFile
	return nil
}

// Convert_v1beta1_OpenIDConnectConfig_To_kubeone_OpenIDConnectConfig is an autogenerated conversion function.
func Convert_v1beta1_OpenIDConnectConfig_To_kubeone_OpenIDConnectConfig(in *OpenIDConnectConfig, out *kubeone.OpenIDConnectConfig, s conversion.Scope) error {
	return autoConvert_v1beta1_OpenIDConnectConfig_To_kubeone_OpenIDConnectConfig(in, out, s)
}

func autoConvert_kubeone_OpenIDConnectConfig_To_v1beta1_OpenIDConnectConfig(in *kubeone.OpenIDConnectConfig, out *OpenIDConnectConfig, s conversion.Scope) error {
	out.IssuerURL = in.IssuerURL
	out.ClientID = in.ClientID
	out.UsernameClaim = in.UsernameClaim
	out.UsernamePrefix = in.UsernamePrefix
	out.GroupsClaim = in.GroupsClaim
	out.GroupsPrefix = in.GroupsPrefix
	out.RequiredClaim = in.RequiredClaim
	out.SigningAlgs = in.SigningAlgs
	out.CAFile = in.CAFile
	return nil
}

// Convert_kubeone_OpenIDConnectConfig_To_v1beta1_OpenIDConnectConfig is an autogenerated conversion function.
func Convert_kubeone_OpenIDConnectConfig_To_v1beta1_OpenIDConnectConfig(in *kubeone.OpenIDConnectConfig, out *OpenIDConnectConfig, s conversion.Scope) error {
	return autoConvert_kubeone_OpenIDConnectConfig_To_v1beta1_OpenIDConnectConfig(in, out, s)
}

func autoConvert_v1beta1_OpenstackSpec_To_kubeone_OpenstackSpec(in *OpenstackSpec, out *kubeone.OpenstackSpec, s conversion.Scope) error {
	return nil
}

// Convert_v1beta1_OpenstackSpec_To_kubeone_OpenstackSpec is an autogenerated conversion function.
func Convert_v1beta1_OpenstackSpec_To_kubeone_OpenstackSpec(in *OpenstackSpec, out *kubeone.OpenstackSpec, s conversion.Scope) error {
	return autoConvert_v1beta1_OpenstackSpec_To_kubeone_OpenstackSpec(in, out, s)
}

func autoConvert_kubeone_OpenstackSpec_To_v1beta1_OpenstackSpec(in *kubeone.OpenstackSpec, out *OpenstackSpec, s conversion.Scope) error {
	return nil
}

// Convert_kubeone_OpenstackSpec_To_v1beta1_OpenstackSpec is an autogenerated conversion function.
func Convert_kubeone_OpenstackSpec_To_v1beta1_OpenstackSpec(in *kubeone.OpenstackSpec, out *OpenstackSpec, s conversion.Scope) error {
	return autoConvert_kubeone_OpenstackSpec_To_v1beta1_OpenstackSpec(in, out, s)
}

func autoConvert_v1beta1_PodNodeSelector_To_kubeone_PodNodeSelector(in *PodNodeSelector, out *kubeone.PodNodeSelector, s conversion.Scope) error {
	out.Enable = in.Enable
	if err := Convert_v1beta1_PodNodeSelectorConfig_To_kubeone_PodNodeSelectorConfig(&in.Config, &out.Config, s); err != nil {
		return err
	}
	return nil
}

// Convert_v1beta1_PodNodeSelector_To_kubeone_PodNodeSelector is an autogenerated conversion function.
func Convert_v1beta1_PodNodeSelector_To_kubeone_PodNodeSelector(in *PodNodeSelector, out *kubeone.PodNodeSelector, s conversion.Scope) error {
	return autoConvert_v1beta1_PodNodeSelector_To_kubeone_PodNodeSelector(in, out, s)
}

func autoConvert_kubeone_PodNodeSelector_To_v1beta1_PodNodeSelector(in *kubeone.PodNodeSelector, out *PodNodeSelector, s conversion.Scope) error {
	out.Enable = in.Enable
	if err := Convert_kubeone_PodNodeSelectorConfig_To_v1beta1_PodNodeSelectorConfig(&in.Config, &out.Config, s); err != nil {
		return err
	}
	return nil
}

// Convert_kubeone_PodNodeSelector_To_v1beta1_PodNodeSelector is an autogenerated conversion function.
func Convert_kubeone_PodNodeSelector_To_v1beta1_PodNodeSelector(in *kubeone.PodNodeSelector, out *PodNodeSelector, s conversion.Scope) error {
	return autoConvert_kubeone_PodNodeSelector_To_v1beta1_PodNodeSelector(in, out, s)
}

func autoConvert_v1beta1_PodNodeSelectorConfig_To_kubeone_PodNodeSelectorConfig(in *PodNodeSelectorConfig, out *kubeone.PodNodeSelectorConfig, s conversion.Scope) error {
	out.ConfigFilePath = in.ConfigFilePath
	return nil
}

// Convert_v1beta1_PodNodeSelectorConfig_To_kubeone_PodNodeSelectorConfig is an autogenerated conversion function.
func Convert_v1beta1_PodNodeSelectorConfig_To_kubeone_PodNodeSelectorConfig(in *PodNodeSelectorConfig, out *kubeone.PodNodeSelectorConfig, s conversion.Scope) error {
	return autoConvert_v1beta1_PodNodeSelectorConfig_To_kubeone_PodNodeSelectorConfig(in, out, s)
}

func autoConvert_kubeone_PodNodeSelectorConfig_To_v1beta1_PodNodeSelectorConfig(in *kubeone.PodNodeSelectorConfig, out *PodNodeSelectorConfig, s conversion.Scope) error {
	out.ConfigFilePath = in.ConfigFilePath
	return nil
}

// Convert_kubeone_PodNodeSelectorConfig_To_v1beta1_PodNodeSelectorConfig is an autogenerated conversion function.
func Convert_kubeone_PodNodeSelectorConfig_To_v1beta1_PodNodeSelectorConfig(in *kubeone.PodNodeSelectorConfig, out *PodNodeSelectorConfig, s conversion.Scope) error {
	return autoConvert_kubeone_PodNodeSelectorConfig_To_v1beta1_PodNodeSelectorConfig(in, out, s)
}

func autoConvert_v1beta1_PodSecurityPolicy_To_kubeone_PodSecurityPolicy(in *PodSecurityPolicy, out *kubeone.PodSecurityPolicy, s conversion.Scope) error {
	out.Enable = in.Enable
	return nil
}

// Convert_v1beta1_PodSecurityPolicy_To_kubeone_PodSecurityPolicy is an autogenerated conversion function.
func Convert_v1beta1_PodSecurityPolicy_To_kubeone_PodSecurityPolicy(in *PodSecurityPolicy, out *kubeone.PodSecurityPolicy, s conversion.Scope) error {
	return autoConvert_v1beta1_PodSecurityPolicy_To_kubeone_PodSecurityPolicy(in, out, s)
}

func autoConvert_kubeone_PodSecurityPolicy_To_v1beta1_PodSecurityPolicy(in *kubeone.PodSecurityPolicy, out *PodSecurityPolicy, s conversion.Scope) error {
	out.Enable = in.Enable
	return nil
}

// Convert_kubeone_PodSecurityPolicy_To_v1beta1_PodSecurityPolicy is an autogenerated conversion function.
func Convert_kubeone_PodSecurityPolicy_To_v1beta1_PodSecurityPolicy(in *kubeone.PodSecurityPolicy, out *PodSecurityPolicy, s conversion.Scope) error {
	return autoConvert_kubeone_PodSecurityPolicy_To_v1beta1_PodSecurityPolicy(in, out, s)
}

func autoConvert_v1beta1_ProviderSpec_To_kubeone_ProviderSpec(in *ProviderSpec, out *kubeone.ProviderSpec, s conversion.Scope) error {
	out.CloudProviderSpec = *(*json.RawMessage)(unsafe.Pointer(&in.CloudProviderSpec))
	out.Annotations = *(*map[string]string)(unsafe.Pointer(&in.Annotations))
	out.MachineAnnotations = *(*map[string]string)(unsafe.Pointer(&in.MachineAnnotations))
	out.Labels = *(*map[string]string)(unsafe.Pointer(&in.Labels))
	out.Taints = *(*[]v1.Taint)(unsafe.Pointer(&in.Taints))
	out.SSHPublicKeys = *(*[]string)(unsafe.Pointer(&in.SSHPublicKeys))
	out.OperatingSystem = in.OperatingSystem
	out.OperatingSystemSpec = *(*json.RawMessage)(unsafe.Pointer(&in.OperatingSystemSpec))
	if in.Network != nil {
		in, out := &in.Network, &out.Network
		*out = new(kubeone.ProviderStaticNetworkConfig)
		if err := Convert_v1beta1_ProviderStaticNetworkConfig_To_kubeone_ProviderStaticNetworkConfig(*in, *out, s); err != nil {
			return err
		}
	} else {
		out.Network = nil
	}
	out.OverwriteCloudConfig = (*string)(unsafe.Pointer(in.OverwriteCloudConfig))
	return nil
}

// Convert_v1beta1_ProviderSpec_To_kubeone_ProviderSpec is an autogenerated conversion function.
func Convert_v1beta1_ProviderSpec_To_kubeone_ProviderSpec(in *ProviderSpec, out *kubeone.ProviderSpec, s conversion.Scope) error {
	return autoConvert_v1beta1_ProviderSpec_To_kubeone_ProviderSpec(in, out, s)
}

func autoConvert_kubeone_ProviderSpec_To_v1beta1_ProviderSpec(in *kubeone.ProviderSpec, out *ProviderSpec, s conversion.Scope) error {
	out.CloudProviderSpec = *(*json.RawMessage)(unsafe.Pointer(&in.CloudProviderSpec))
	out.Annotations = *(*map[string]string)(unsafe.Pointer(&in.Annotations))
	out.MachineAnnotations = *(*map[string]string)(unsafe.Pointer(&in.MachineAnnotations))
	// WARNING: in.NodeAnnotations requires manual conversion: does not exist in peer-type
	// WARNING: in.MachineObjectAnnotations requires manual conversion: does not exist in peer-type
	out.Labels = *(*map[string]string)(unsafe.Pointer(&in.Labels))
	out.Taints = *(*[]v1.Taint)(unsafe.Pointer(&in.Taints))
	out.SSHPublicKeys = *(*[]string)(unsafe.Pointer(&in.SSHPublicKeys))
	out.OperatingSystem = in.OperatingSystem
	out.OperatingSystemSpec = *(*json.RawMessage)(unsafe.Pointer(&in.OperatingSystemSpec))
	if in.Network != nil {
		in, out := &in.Network, &out.Network
		*out = new(ProviderStaticNetworkConfig)
		if err := Convert_kubeone_ProviderStaticNetworkConfig_To_v1beta1_ProviderStaticNetworkConfig(*in, *out, s); err != nil {
			return err
		}
	} else {
		out.Network = nil
	}
	out.OverwriteCloudConfig = (*string)(unsafe.Pointer(in.OverwriteCloudConfig))
	return nil
}

func autoConvert_v1beta1_ProviderStaticNetworkConfig_To_kubeone_ProviderStaticNetworkConfig(in *ProviderStaticNetworkConfig, out *kubeone.ProviderStaticNetworkConfig, s conversion.Scope) error {
	out.CIDR = in.CIDR
	out.Gateway = in.Gateway
	if err := Convert_v1beta1_DNSConfig_To_kubeone_DNSConfig(&in.DNS, &out.DNS, s); err != nil {
		return err
	}
	return nil
}

// Convert_v1beta1_ProviderStaticNetworkConfig_To_kubeone_ProviderStaticNetworkConfig is an autogenerated conversion function.
func Convert_v1beta1_ProviderStaticNetworkConfig_To_kubeone_ProviderStaticNetworkConfig(in *ProviderStaticNetworkConfig, out *kubeone.ProviderStaticNetworkConfig, s conversion.Scope) error {
	return autoConvert_v1beta1_ProviderStaticNetworkConfig_To_kubeone_ProviderStaticNetworkConfig(in, out, s)
}

func autoConvert_kubeone_ProviderStaticNetworkConfig_To_v1beta1_ProviderStaticNetworkConfig(in *kubeone.ProviderStaticNetworkConfig, out *ProviderStaticNetworkConfig, s conversion.Scope) error {
	out.CIDR = in.CIDR
	out.Gateway = in.Gateway
	if err := Convert_kubeone_DNSConfig_To_v1beta1_DNSConfig(&in.DNS, &out.DNS, s); err != nil {
		return err
	}
	// WARNING: in.IPFamily requires manual conversion: does not exist in peer-type
	return nil
}

func autoConvert_v1beta1_ProxyConfig_To_kubeone_ProxyConfig(in *ProxyConfig, out *kubeone.ProxyConfig, s conversion.Scope) error {
	out.HTTP = in.HTTP
	out.HTTPS = in.HTTPS
	out.NoProxy = in.NoProxy
	return nil
}

// Convert_v1beta1_ProxyConfig_To_kubeone_ProxyConfig is an autogenerated conversion function.
func Convert_v1beta1_ProxyConfig_To_kubeone_ProxyConfig(in *ProxyConfig, out *kubeone.ProxyConfig, s conversion.Scope) error {
	return autoConvert_v1beta1_ProxyConfig_To_kubeone_ProxyConfig(in, out, s)
}

func autoConvert_kubeone_ProxyConfig_To_v1beta1_ProxyConfig(in *kubeone.ProxyConfig, out *ProxyConfig, s conversion.Scope) error {
	out.HTTP = in.HTTP
	out.HTTPS = in.HTTPS
	out.NoProxy = in.NoProxy
	return nil
}

// Convert_kubeone_ProxyConfig_To_v1beta1_ProxyConfig is an autogenerated conversion function.
func Convert_kubeone_ProxyConfig_To_v1beta1_ProxyConfig(in *kubeone.ProxyConfig, out *ProxyConfig, s conversion.Scope) error {
	return autoConvert_kubeone_ProxyConfig_To_v1beta1_ProxyConfig(in, out, s)
}

func autoConvert_v1beta1_RegistryConfiguration_To_kubeone_RegistryConfiguration(in *RegistryConfiguration, out *kubeone.RegistryConfiguration, s conversion.Scope) error {
	out.OverwriteRegistry = in.OverwriteRegistry
	out.InsecureRegistry = in.InsecureRegistry
	return nil
}

// Convert_v1beta1_RegistryConfiguration_To_kubeone_RegistryConfiguration is an autogenerated conversion function.
func Convert_v1beta1_RegistryConfiguration_To_kubeone_RegistryConfiguration(in *RegistryConfiguration, out *kubeone.RegistryConfiguration, s conversion.Scope) error {
	return autoConvert_v1beta1_RegistryConfiguration_To_kubeone_RegistryConfiguration(in, out, s)
}

func autoConvert_kubeone_RegistryConfiguration_To_v1beta1_RegistryConfiguration(in *kubeone.RegistryConfiguration, out *RegistryConfiguration, s conversion.Scope) error {
	out.OverwriteRegistry = in.OverwriteRegistry
	out.InsecureRegistry = in.InsecureRegistry
	return nil
}

// Convert_kubeone_RegistryConfiguration_To_v1beta1_RegistryConfiguration is an autogenerated conversion function.
func Convert_kubeone_RegistryConfiguration_To_v1beta1_RegistryConfiguration(in *kubeone.RegistryConfiguration, out *RegistryConfiguration, s conversion.Scope) error {
	return autoConvert_kubeone_RegistryConfiguration_To_v1beta1_RegistryConfiguration(in, out, s)
}

func autoConvert_v1beta1_StaticAuditLog_To_kubeone_StaticAuditLog(in *StaticAuditLog, out *kubeone.StaticAuditLog, s conversion.Scope) error {
	out.Enable = in.Enable
	if err := Convert_v1beta1_StaticAuditLogConfig_To_kubeone_StaticAuditLogConfig(&in.Config, &out.Config, s); err != nil {
		return err
	}
	return nil
}

// Convert_v1beta1_StaticAuditLog_To_kubeone_StaticAuditLog is an autogenerated conversion function.
func Convert_v1beta1_StaticAuditLog_To_kubeone_StaticAuditLog(in *StaticAuditLog, out *kubeone.StaticAuditLog, s conversion.Scope) error {
	return autoConvert_v1beta1_StaticAuditLog_To_kubeone_StaticAuditLog(in, out, s)
}

func autoConvert_kubeone_StaticAuditLog_To_v1beta1_StaticAuditLog(in *kubeone.StaticAuditLog, out *StaticAuditLog, s conversion.Scope) error {
	out.Enable = in.Enable
	if err := Convert_kubeone_StaticAuditLogConfig_To_v1beta1_StaticAuditLogConfig(&in.Config, &out.Config, s); err != nil {
		return err
	}
	return nil
}

// Convert_kubeone_StaticAuditLog_To_v1beta1_StaticAuditLog is an autogenerated conversion function.
func Convert_kubeone_StaticAuditLog_To_v1beta1_StaticAuditLog(in *kubeone.StaticAuditLog, out *StaticAuditLog, s conversion.Scope) error {
	return autoConvert_kubeone_StaticAuditLog_To_v1beta1_StaticAuditLog(in, out, s)
}

func autoConvert_v1beta1_StaticAuditLogConfig_To_kubeone_StaticAuditLogConfig(in *StaticAuditLogConfig, out *kubeone.StaticAuditLogConfig, s conversion.Scope) error {
	out.PolicyFilePath = in.PolicyFilePath
	out.LogPath = in.LogPath
	out.LogMaxAge = in.LogMaxAge
	out.LogMaxBackup = in.LogMaxBackup
	out.LogMaxSize = in.LogMaxSize
	return nil
}

// Convert_v1beta1_StaticAuditLogConfig_To_kubeone_StaticAuditLogConfig is an autogenerated conversion function.
func Convert_v1beta1_StaticAuditLogConfig_To_kubeone_StaticAuditLogConfig(in *StaticAuditLogConfig, out *kubeone.StaticAuditLogConfig, s conversion.Scope) error {
	return autoConvert_v1beta1_StaticAuditLogConfig_To_kubeone_StaticAuditLogConfig(in, out, s)
}

func autoConvert_kubeone_StaticAuditLogConfig_To_v1beta1_StaticAuditLogConfig(in *kubeone.StaticAuditLogConfig, out *StaticAuditLogConfig, s conversion.Scope) error {
	out.PolicyFilePath = in.PolicyFilePath
	out.LogPath = in.LogPath
	out.LogMaxAge = in.LogMaxAge
	out.LogMaxBackup = in.LogMaxBackup
	out.LogMaxSize = in.LogMaxSize
	return nil
}

// Convert_kubeone_StaticAuditLogConfig_To_v1beta1_StaticAuditLogConfig is an autogenerated conversion function.
func Convert_kubeone_StaticAuditLogConfig_To_v1beta1_StaticAuditLogConfig(in *kubeone.StaticAuditLogConfig, out *StaticAuditLogConfig, s conversion.Scope) error {
	return autoConvert_kubeone_StaticAuditLogConfig_To_v1beta1_StaticAuditLogConfig(in, out, s)
}

func autoConvert_v1beta1_StaticWorkersConfig_To_kubeone_StaticWorkersConfig(in *StaticWorkersConfig, out *kubeone.StaticWorkersConfig, s conversion.Scope) error {
	if in.Hosts != nil {
		in, out := &in.Hosts, &out.Hosts
		*out = make([]kubeone.HostConfig, len(*in))
		for i := range *in {
			if err := Convert_v1beta1_HostConfig_To_kubeone_HostConfig(&(*in)[i], &(*out)[i], s); err != nil {
				return err
			}
		}
	} else {
		out.Hosts = nil
	}
	return nil
}

// Convert_v1beta1_StaticWorkersConfig_To_kubeone_StaticWorkersConfig is an autogenerated conversion function.
func Convert_v1beta1_StaticWorkersConfig_To_kubeone_StaticWorkersConfig(in *StaticWorkersConfig, out *kubeone.StaticWorkersConfig, s conversion.Scope) error {
	return autoConvert_v1beta1_StaticWorkersConfig_To_kubeone_StaticWorkersConfig(in, out, s)
}

func autoConvert_kubeone_StaticWorkersConfig_To_v1beta1_StaticWorkersConfig(in *kubeone.StaticWorkersConfig, out *StaticWorkersConfig, s conversion.Scope) error {
	if in.Hosts != nil {
		in, out := &in.Hosts, &out.Hosts
		*out = make([]HostConfig, len(*in))
		for i := range *in {
			if err := Convert_kubeone_HostConfig_To_v1beta1_HostConfig(&(*in)[i], &(*out)[i], s); err != nil {
				return err
			}
		}
	} else {
		out.Hosts = nil
	}
	return nil
}

// Convert_kubeone_StaticWorkersConfig_To_v1beta1_StaticWorkersConfig is an autogenerated conversion function.
func Convert_kubeone_StaticWorkersConfig_To_v1beta1_StaticWorkersConfig(in *kubeone.StaticWorkersConfig, out *StaticWorkersConfig, s conversion.Scope) error {
	return autoConvert_kubeone_StaticWorkersConfig_To_v1beta1_StaticWorkersConfig(in, out, s)
}

func autoConvert_v1beta1_SystemPackages_To_kubeone_SystemPackages(in *SystemPackages, out *kubeone.SystemPackages, s conversion.Scope) error {
	out.ConfigureRepositories = in.ConfigureRepositories
	return nil
}

// Convert_v1beta1_SystemPackages_To_kubeone_SystemPackages is an autogenerated conversion function.
func Convert_v1beta1_SystemPackages_To_kubeone_SystemPackages(in *SystemPackages, out *kubeone.SystemPackages, s conversion.Scope) error {
	return autoConvert_v1beta1_SystemPackages_To_kubeone_SystemPackages(in, out, s)
}

func autoConvert_kubeone_SystemPackages_To_v1beta1_SystemPackages(in *kubeone.SystemPackages, out *SystemPackages, s conversion.Scope) error {
	out.ConfigureRepositories = in.ConfigureRepositories
	return nil
}

// Convert_kubeone_SystemPackages_To_v1beta1_SystemPackages is an autogenerated conversion function.
func Convert_kubeone_SystemPackages_To_v1beta1_SystemPackages(in *kubeone.SystemPackages, out *SystemPackages, s conversion.Scope) error {
	return autoConvert_kubeone_SystemPackages_To_v1beta1_SystemPackages(in, out, s)
}

func autoConvert_v1beta1_VersionConfig_To_kubeone_VersionConfig(in *VersionConfig, out *kubeone.VersionConfig, s conversion.Scope) error {
	out.Kubernetes = in.Kubernetes
	return nil
}

// Convert_v1beta1_VersionConfig_To_kubeone_VersionConfig is an autogenerated conversion function.
func Convert_v1beta1_VersionConfig_To_kubeone_VersionConfig(in *VersionConfig, out *kubeone.VersionConfig, s conversion.Scope) error {
	return autoConvert_v1beta1_VersionConfig_To_kubeone_VersionConfig(in, out, s)
}

func autoConvert_kubeone_VersionConfig_To_v1beta1_VersionConfig(in *kubeone.VersionConfig, out *VersionConfig, s conversion.Scope) error {
	out.Kubernetes = in.Kubernetes
	return nil
}

// Convert_kubeone_VersionConfig_To_v1beta1_VersionConfig is an autogenerated conversion function.
func Convert_kubeone_VersionConfig_To_v1beta1_VersionConfig(in *kubeone.VersionConfig, out *VersionConfig, s conversion.Scope) error {
	return autoConvert_kubeone_VersionConfig_To_v1beta1_VersionConfig(in, out, s)
}

func autoConvert_v1beta1_VsphereSpec_To_kubeone_VsphereSpec(in *VsphereSpec, out *kubeone.VsphereSpec, s conversion.Scope) error {
	return nil
}

// Convert_v1beta1_VsphereSpec_To_kubeone_VsphereSpec is an autogenerated conversion function.
func Convert_v1beta1_VsphereSpec_To_kubeone_VsphereSpec(in *VsphereSpec, out *kubeone.VsphereSpec, s conversion.Scope) error {
	return autoConvert_v1beta1_VsphereSpec_To_kubeone_VsphereSpec(in, out, s)
}

func autoConvert_kubeone_VsphereSpec_To_v1beta1_VsphereSpec(in *kubeone.VsphereSpec, out *VsphereSpec, s conversion.Scope) error {
	return nil
}

// Convert_kubeone_VsphereSpec_To_v1beta1_VsphereSpec is an autogenerated conversion function.
func Convert_kubeone_VsphereSpec_To_v1beta1_VsphereSpec(in *kubeone.VsphereSpec, out *VsphereSpec, s conversion.Scope) error {
	return autoConvert_kubeone_VsphereSpec_To_v1beta1_VsphereSpec(in, out, s)
}

func autoConvert_v1beta1_WeaveNetSpec_To_kubeone_WeaveNetSpec(in *WeaveNetSpec, out *kubeone.WeaveNetSpec, s conversion.Scope) error {
	out.Encrypted = in.Encrypted
	return nil
}

// Convert_v1beta1_WeaveNetSpec_To_kubeone_WeaveNetSpec is an autogenerated conversion function.
func Convert_v1beta1_WeaveNetSpec_To_kubeone_WeaveNetSpec(in *WeaveNetSpec, out *kubeone.WeaveNetSpec, s conversion.Scope) error {
	return autoConvert_v1beta1_WeaveNetSpec_To_kubeone_WeaveNetSpec(in, out, s)
}

func autoConvert_kubeone_WeaveNetSpec_To_v1beta1_WeaveNetSpec(in *kubeone.WeaveNetSpec, out *WeaveNetSpec, s conversion.Scope) error {
	out.Encrypted = in.Encrypted
	return nil
}

// Convert_kubeone_WeaveNetSpec_To_v1beta1_WeaveNetSpec is an autogenerated conversion function.
func Convert_kubeone_WeaveNetSpec_To_v1beta1_WeaveNetSpec(in *kubeone.WeaveNetSpec, out *WeaveNetSpec, s conversion.Scope) error {
	return autoConvert_kubeone_WeaveNetSpec_To_v1beta1_WeaveNetSpec(in, out, s)
}
